materials = {
	wood = {
		-- overridable
		strength = 60,
--		defence = 5,
		defence = 2.5,
		friction = 4,
		restitution = 0.2,
		density = 1.5,
		controllable = false,
		-- static
		particles = "woodenBuff",
		collisionSound = "wood_collision",
		damageSound = "wood_damage",
		destroyedSound = "wood_destroyed",
		rollingSound = "wood_rolling",
	},
	story = {
		-- overridable
		strength = 60,
--		defence = 5,
		defence = 2.5,
		friction = 4,
		restitution = 0.2,
		density = 0,
		controllable = false,
		-- static
		particles = "woodenBuff",
		collisionSound = "wood_collision",
		damageSound = "wood_damage",
		destroyedSound = "wood_destroyed",
		rollingSound = "wood_rolling",
	},
	rock = {
		-- overridable
		strength = 120,	
		defence = 15,
--		defence = 20,
		friction = 4,
	    restitution = 0.1,
		density = 4,
--		density = 6,
		controllable = false,
		-- static
		particles = "rockBuff",
		collisionSound = "rock_collision",
		damageSound = "rock_damage",
		destroyedSound = "rock_destroyed",
		rollingSound = "rock_rolling",
	},
	light = {
		-- overridable
		strength = 40,	
--		defence = 5,
		defence = 2,
		friction = 0.7,
	    restitution = 0.2,
		density = 0.75,
		controllable = false,
		-- static
		particles = "lightBuff",
		collisionSound = "light_collision",
		damageSound = "light_damage",
		destroyedSound = "light_destroyed",
		rollingSound = "light_rolling",
	},
	piglette = {
		-- overridable
		strength = 10,	
--		defence = 4,
		defence = 1,
		friction = 0.7,
	    restitution = 0.05,
		density = 2,
		controllable = false,
		-- static
		particles = "smokeBuff",
		collisionSound = "piglette_collision",
		damageSound = "piglette_damage",
		destroyedSound = "piglette_destroyed",
	},
	anotherpig = {
		-- overridable
		strength = 10,	
--		defence = 4,
		defence = 1,
		friction = 0.7,
	    restitution = 0.05,
		density = 2,
		controllable = false,
		-- static
		particles = "smokeBuff",
		collisionSound = "piglette_collision",
		damageSound = "piglette_damage",
		destroyedSound = "piglette_destroyed",
	},
	duck = {
		-- overridable
		strength = 10,	
--		defence = 4,
		defence = 1,
		friction = 0.7,
	    restitution = 0.05,
		density = 2,
		controllable = false,
		-- static
		particles = "smokeBuff",
		collisionSound = "flower_break_a3",
		damageSound = "flower_break_a3",
		destroyedSound = "flower_break_a3",
	},
	staticGround = {
		-- overridable
		strength = 30,	
		defence = 100000,
		friction = 0.8,
	    restitution = 0.0,
		density = 0,
		controllable = false,
		-- static
		particles = "smokeBuff",
		collisionSound = "ground_collision",
	},	
	immovable = {
		-- overridable
		strength = 30,	
		defence = 100000,
		friction = 0.8,
	    restitution = 0.0,
		density = 0,
		controllable = false,
		-- static
		particles = "smokeBuff",
		collisionSound = "ground_collision",
	},
	immovableFragile = {
		-- overridable
		strength = 2,	
		defence = 1,
		friction = 0.8,
	    restitution = 0.0,
		density = 0,
		controllable = false,
		-- static
--		particles = "smokeBuff",
		particles = "",
		collisionSound = "ground_collision",
	},
	clouds = {
		-- overridable
		strength = 0.1,	
		defence = 1,
		friction = 0.8,
	    restitution = 0.0,
		density = 0,
		controllable = false,
		-- static
		particles = "smokeBuff",
		collisionSound = "ground_collision",
		destroyedSound = "balloon_pop",
	},
	immovableRubber = {
		-- overridable
		strength = 30,	
		defence = 100000,
		friction = 0.8,
	    restitution = 0.0,
		density = 0,
		controllable = false,
		-- static
		particles = "smokeBuff",
		collisionSound = "trampoline",
	},
	extras = {
		-- overridable
		strength = 40,	
		defence = 5,
		friction = 0.7,
	    restitution = 0.4,
		density = 0.75,
		controllable = false,
		-- static
		particles = "smokeBuff",
		collisionSound = "",
	},
	rubber = {
		-- overridable
		strength = 40,	
		defence = 5,
		friction = 0.7,
	    restitution = 0.4,
		density = 0.75,
		controllable = false,
		-- static
		particles = "smokeBuff",
		collisionSound = "ball_bounce",
	},
	decoration = {
		-- overridable
		strength = 30,	
		defence = 100000,
		friction = 0.8,
	    restitution = 0,
		density = 0,
		controllable = false,
	},
	common = {
		strength = 1,	
		defence = 1,
		friction = 0.7,
	    restitution = 0.2,
		density = 0.75,
		particles = "lightBuff",
		collisionSound = "",
		damageSound = "",
		destroyedSound = "",
		rollingSound = "",
	},
}

themes = {
	settings = {
		keyCode = "T",
		themeAmount = 15,
	},
	theme1 = {
		index = 1,
		
		-- SHEET, SPRITE, PARALLAX_SPEED, SCALE
		bgLayers = { { "INGAME_SKIES_1", "BACKGROUND_1_LAYER_1", 0.125, 5.0 },
					 { "INGAME_PARALLAX_1", "BACKGROUND_1_LAYER_2", 0.5, 2.0 },
					 { "INGAME_PARALLAX_1", "BACKGROUND_1_LAYER_3", 1.0, 1.5 } }, 
					 
					 
		fgLayers = { { "INGAME_GROUNDS_1", "FOREGROUND_1_LAYER_1"},
					 { "INGAME_PARALLAX_1", "FOREGROUND_1_LAYER_2"} },
					 		 
		color = { r = 100, g = 215, b = 243 },
		groundColor = { r = 85, g = 0, b = 0 },
		mask = { "INGAME_THEME_GROUND_1", "THEME_GROUND_TEXTURE_1" },
	},
	theme2 = {
		index = 2,
		
		-- SHEET, SPRITE, PARALLAX_SPEED, SCALE
		bgLayers = { { "INGAME_SKIES_1", "BACKGROUND_2_LAYER_1", 0.125, 4.0 },
					 { "INGAME_PARALLAX_2", "BACKGROUND_2_LAYER_2", 0.5, 4.0 },
					 { "INGAME_PARALLAX_2", "BACKGROUND_2_LAYER_3", 1.0, 3.5 } },
					 
		fgLayers = { { "INGAME_GROUNDS_1", "FOREGROUND_2_LAYER_1"},
					 { "INGAME_PARALLAX_2", "FOREGROUND_2_LAYER_2"} },
					 
		color = { r = 253, g = 172, b = 39 },
		groundColor = { r = 96, g = 71, b = 48 },
		mask = { "INGAME_THEME_GROUND_2", "THEME_GROUND_TEXTURE_2" },
	},
	theme3 = {
		index = 3,
		
		-- SHEET, SPRITE, PARALLAX_SPEED, SCALE
		bgLayers = { { "INGAME_SKIES_1", "BACKGROUND_3_LAYER_1", 0.125, 2.0 },
					 { "INGAME_PARALLAX_3", "BACKGROUND_3_LAYER_2", 0.5, 2.0 },
					 { "INGAME_PARALLAX_3", "BACKGROUND_3_LAYER_3", 1.0, 1.6 } },
					 
		fgLayers = { { "INGAME_GROUNDS_1", "FOREGROUND_3_LAYER_1"},
					 { "INGAME_PARALLAX_3", "FOREGROUND_3_LAYER_2"} },
					 
		color = { r = 239, g = 214, b = 115 },
		groundColor = { r = 47, g = 23, b = 14 },
		mask = { "INGAME_THEME_GROUND_3", "THEME_GROUND_TEXTURE_3" },
	},
	theme4 = {
		index = 4,
		
		-- SHEET, SPRITE, PARALLAX_SPEED, SCALE
		bgLayers = { { "INGAME_SKIES_1", "BACKGROUND_4_LAYER_1", 0.125, 5.0 },
					 { "INGAME_PARALLAX_4", "BACKGROUND_4_LAYER_2", 0.5, 4.0 },
					 { "INGAME_PARALLAX_4", "BACKGROUND_4_LAYER_3", 1.0, 4.6 } },
					 
		fgLayers = { { "INGAME_GROUNDS_1", "FOREGROUND_4_LAYER_1"},
					 { "INGAME_PARALLAX_4", "FOREGROUND_4_LAYER_2"} },
					 
		color = { r = 152, g = 232, b = 254 },
		groundColor = { r = 39, g = 20, b = 11 },
		mask = { "INGAME_THEME_GROUND_4", "THEME_GROUND_TEXTURE_4" },
	},
	theme5 = {
		index = 5,
		
		-- SHEET, SPRITE, PARALLAX_SPEED, SCALE
		bgLayers = { { "INGAME_SKIES_1", "BACKGROUND_5_LAYER_1", 0.125, 4.0 },
					 { "INGAME_PARALLAX_5", "BACKGROUND_5_LAYER_2", 0.5, 4.0 },
					 { "INGAME_PARALLAX_5", "BACKGROUND_5_LAYER_3", 1.0, 3.6 } },
					 
		fgLayers = { { "INGAME_GROUNDS_1", "FOREGROUND_5_LAYER_1"},
					 { "INGAME_PARALLAX_5", "FOREGROUND_5_LAYER_2"} },
					 
		color = { r = 248, g = 174, b = 69 },
		groundColor = { r = 201, g = 107, b = 41 },
		mask = { "INGAME_THEME_GROUND_5", "THEME_GROUND_TEXTURE_5" },
	},
	theme6 = {
		index = 6,
		
		-- SHEET, SPRITE, PARALLAX_SPEED, SCALE
		bgLayers = { { "INGAME_SKIES_2", "BACKGROUND_6_LAYER_1", 0.3, 6.5 },
					 { "INGAME_PARALLAX_7", "BACKGROUND_7_LAYER_2", 0.55, 4 },
					 { "INGAME_PARALLAX_7", "BACKGROUND_7_LAYER_3", 1.0, 3.6 } },
					 
		fgLayers = { { "INGAME_GROUNDS_1", "FOREGROUND_6_LAYER_1"},
					 { "INGAME_PARALLAX_7", "FOREGROUND_7_LAYER_2"} },
					 
		color = { r = 96, g = 27, b = 113 },
		groundColor = { r = 102, g = 2, b = 2 },
		mask = { "INGAME_THEME_GROUND_6", "THEME_GROUND_TEXTURE_6" },
	},
	theme7 = {
		index = 7,
		
		-- SHEET, SPRITE, PARALLAX_SPEED, SCALE
		bgLayers = { { "INGAME_SKIES_2", "BACKGROUND_7_LAYER_1", 0.125, 3.5 },    
					 { "INGAME_PARALLAX_7", "BACKGROUND_7_LAYER_2", 0.5, 3 },
					 { "INGAME_PARALLAX_7", "BACKGROUND_7_LAYER_3", 1.0, 2.8 } },
					 
		fgLayers = { { "INGAME_GROUNDS_1", "FOREGROUND_7_LAYER_1"},
					 { "INGAME_PARALLAX_7", "FOREGROUND_7_LAYER_2"} },
					 
		color = { r = 0, g = 0, b = 0 },
		groundColor = { r = 17, g = 34, b = 69 },
		mask = { "INGAME_THEME_GROUND_7", "THEME_GROUND_TEXTURE_7" },
	},
	theme8 = {
		index = 8,
		
		-- SHEET, SPRITE, PARALLAX_SPEED, SCALE
		bgLayers = { { "INGAME_SKIES_2", "BACKGROUND_8_LAYER_1", 0.125, 2.5 },    
					 { "INGAME_PARALLAX_8", "BACKGROUND_8_LAYER_2", 0.5, 2.5 },
					 { "INGAME_PARALLAX_8", "BACKGROUND_8_LAYER_3", 1.0, 1.8 } },
					 
		fgLayers = { { "INGAME_PARALLAX_8", "FOREGROUND_8_LAYER_1"},
					 { "INGAME_PARALLAX_8", "FOREGROUND_8_LAYER_2"} },
					 
		color = { r = 249, g = 248, b = 235 },
		groundColor = { r = 238, g = 255, b = 255 },
		mask = { "INGAME_THEME_GROUND_8", "THEME_GROUND_TEXTURE_8" },
	},
	theme9 = {
		index = 9,
		
		-- PRITE, PARALLAX_SPEED
		bgLayers = { { "THEME_MOONCAKE_SKY_1", "MOONCAKE_SKY", 0.125, 2.0 },
					 { "THEME_MOONCAKE_PARALLAX_1", "MOONCAKE_MIDGROUND", 0.5, 2.0 },
					 { "INGAME_PARALLAX_2", "BACKGROUND_2_LAYER_3", 1.0, 1.5 } },
					 
		fgLayers = { { "THEME_MOONCAKE_PARALLAX_1", "MOONCAKE_GROUND"},
					 { "INGAME_PARALLAX_2", "BACKGROUND_2_LAYER_3"} },
					 
		color = { r = 193, g = 231, b = 239 },
		groundColor = { r = 10, g = 19, b = 15 },
		mask = { "THEME_MOONCAKE_THEME_GROUND_1", "THEME_GROUND_23" },
	},
	theme10 = {
		index = 10,
		
		-- PRITE, PARALLAX_SPEED, SCALE
		bgLayers = { { "INGAME_SKIES_1", "BACKGROUND_2_LAYER_1", 0.125, 2.0 },
					 { "INGAME_PARALLAX_2", "BACKGROUND_2_LAYER_2", 0.5, 2.0 },
					 { "INGAME_PARALLAX_CRANES", "PARALLAX_CRANE_1", 0.8, 1.0, false },
					 { "INGAME_PARALLAX_CRANES", "PARALLAX_CRANE_2", 0.85, 1.3, false },
					 { "INGAME_PARALLAX_CRANES", "PARALLAX_CRANE_3", 0.9, 1.6, false },
					 { "INGAME_PARALLAX_CRANES", "PARALLAX_CRANE_4", 0.95, 2.0, false },
					 { "INGAME_PARALLAX_2", "BACKGROUND_2_LAYER_3", 1.0, 1.5 } },
					 
		fgLayers = { { "INGAME_GROUNDS_1", "FOREGROUND_2_LAYER_1"},
					 { "INGAME_PARALLAX_2", "FOREGROUND_2_LAYER_2"} },
					 
		color = { r = 193, g = 231, b = 239 },
		groundColor = { r = 10, g = 19, b = 15 },
		mask = { "INGAME_THEME_GROUND_2", "THEME_GROUND_TEXTURE_2" },
	},
	theme11 = {
		index = 11,
		
		-- SHEET, SPRITE, PARALLAX_SPEED, SCALE
		bgLayers = { { "INGAME_SKIES_1", "BACKGROUND_3_LAYER_1", 0.125, 2.0 },
					 { "INGAME_PARALLAX_3", "BACKGROUND_3_LAYER_2", 0.5, 2.0 },
					 { "INGAME_PARALLAX_CRANES", "PARALLAX_CRANE_1", 0.8, 1.0, false },
					 { "INGAME_PARALLAX_CRANES", "PARALLAX_CRANE_2", 0.85, 1.3, false },
					 { "INGAME_PARALLAX_CRANES", "PARALLAX_CRANE_3", 0.9, 1.6, false },
					 { "INGAME_PARALLAX_CRANES", "PARALLAX_CRANE_4", 0.95, 2.0, false },
					 { "INGAME_PARALLAX_3", "BACKGROUND_3_LAYER_3", 1.0, 1.6 } },
					 
		fgLayers = { { "INGAME_GROUNDS_1", "FOREGROUND_3_LAYER_1"},
					 { "INGAME_PARALLAX_3", "FOREGROUND_3_LAYER_2"} },
					 
		color = { r = 239, g = 214, b = 115 },
		groundColor = { r = 47, g = 23, b = 14 },
		mask = { "INGAME_THEME_GROUND_3", "THEME_GROUND_TEXTURE_3" },
	},
	theme12 = {
		index = 12,
		
		-- SHEET, SPRITE, PARALLAX_SPEED, SCALE
		bgLayers = { { "INGAME_SKIES_1", "BACKGROUND_4_LAYER_1", 0.125, 2.0 },
					 { "INGAME_PARALLAX_4", "BACKGROUND_4_LAYER_2", 0.5, 2.0 },
					 { "INGAME_PARALLAX_CRANES", "PARALLAX_CRANE_1", 0.8, 1.0, false },
					 { "INGAME_PARALLAX_CRANES", "PARALLAX_CRANE_2", 0.85, 1.3, false },
					 { "INGAME_PARALLAX_CRANES", "PARALLAX_CRANE_3", 0.9, 1.6, false },
					 { "INGAME_PARALLAX_CRANES", "PARALLAX_CRANE_4", 0.95, 2.0, false },
					 { "INGAME_PARALLAX_4", "BACKGROUND_4_LAYER_3", 1.0, 1.85 } },
					 
		fgLayers = { { "INGAME_GROUNDS_1", "FOREGROUND_4_LAYER_1"},
					 { "INGAME_PARALLAX_4", "FOREGROUND_4_LAYER_2"} },
					 
		color = { r = 144, g = 205, b = 237 },
		groundColor = { r = 28, g = 18, b = 12 },
		mask = { "INGAME_THEME_GROUND_3", "THEME_GROUND_TEXTURE_3" },
	},
	theme13 = {
		index = 13,
		
		-- SHEET, SPRITE, PARALLAX_SPEED, SCALE
		bgLayers = { { "INGAME_SKIES_1", "BACKGROUND_5_LAYER_1", 0.125, 2.0 },
					 { "INGAME_PARALLAX_5", "BACKGROUND_5_LAYER_2", 0.5, 2.0 },
					 { "INGAME_PARALLAX_CRANES", "PARALLAX_CRANE_1", 0.8, 1.0, false },
					 { "INGAME_PARALLAX_CRANES", "PARALLAX_CRANE_2", 0.85, 1.3, false },
					 { "INGAME_PARALLAX_CRANES", "PARALLAX_CRANE_3", 0.9, 1.6, false },
					 { "INGAME_PARALLAX_CRANES", "PARALLAX_CRANE_4", 0.95, 2.0, false },
					 { "INGAME_PARALLAX_5", "BACKGROUND_5_LAYER_3", 1.0, 1.8 } },
					 
		fgLayers = { { "INGAME_GROUNDS_1", "FOREGROUND_5_LAYER_1"},
					 { "INGAME_PARALLAX_5", "FOREGROUND_5_LAYER_2"} },
					 
		color = { r = 241, g = 226, b = 140 },
		groundColor = { r = 68, g = 39, b = 2 },
		mask = { "INGAME_THEME_GROUND_4", "THEME_GROUND_TEXTURE_4" },
	},
	theme14 = {
		index = 14,
		
		-- SHEET, SPRITE, PARALLAX_SPEED, SCALE
		bgLayers = { { "INGAME_SKIES_2", "BACKGROUND_6_LAYER_1", 0.3, 4.5 },
					 { "INGAME_PARALLAX_6", "BACKGROUND_6_LAYER_2", 0.55, 3.3 },
					 { "INGAME_PARALLAX_CRANES", "PARALLAX_CRANE_1", 0.8, 1.0, false },
					 { "INGAME_PARALLAX_CRANES", "PARALLAX_CRANE_2", 0.85, 1.3, false },
					 { "INGAME_PARALLAX_CRANES", "PARALLAX_CRANE_3", 0.9, 1.6, false },
					 { "INGAME_PARALLAX_CRANES", "PARALLAX_CRANE_4", 0.95, 2.0, false },
					 { "INGAME_PARALLAX_6", "BACKGROUND_6_LAYER_3", 1.0, 2 } },
					 
		fgLayers = { { "INGAME_GROUNDS_1", "FOREGROUND_6_LAYER_1"},
					 { "INGAME_PARALLAX_6", "FOREGROUND_6_LAYER_2"} },
					 
		color = { r = 74, g = 90, b = 44 },
		groundColor = { r = 24, g = 28, b = 15 },
		mask = { "INGAME_THEME_GROUND_6", "THEME_GROUND_TEXTURE_6" },
	},
	theme15 = {
		index = 15,
		
		-- SHEET, SPRITE, PARALLAX_SPEED, SCALE
		bgLayers = { { "INGAME_SKIES_2", "BACKGROUND_7_LAYER_1", 0.125, 3.5 },    
					 { "INGAME_PARALLAX_7", "BACKGROUND_7_LAYER_2", 0.5, 3 },
					 { "INGAME_PARALLAX_CRANES", "PARALLAX_CRANE_1", 0.8, 1.0, false },
					 { "INGAME_PARALLAX_CRANES", "PARALLAX_CRANE_2", 0.85, 1.3, false },
					 { "INGAME_PARALLAX_CRANES", "PARALLAX_CRANE_3", 0.9, 1.6, false },
					 { "INGAME_PARALLAX_CRANES", "PARALLAX_CRANE_4", 0.95, 2.0, false },
					 { "INGAME_PARALLAX_7", "BACKGROUND_7_LAYER_3", 1.0, 2.8 } },
					 
		fgLayers = { { "INGAME_GROUNDS_1", "FOREGROUND_7_LAYER_1"},
					 { "INGAME_PARALLAX_7", "FOREGROUND_7_LAYER_2"} },
					 
		color = { r = 0, g = 0, b = 0 },
		groundColor = { r = 17, g = 34, b = 69 },
		mask = { "INGAME_THEME_GROUND_7", "THEME_GROUND_TEXTURE_7" },
	},
	theme16 = {
		index = 16,
		
		-- SHEET, SPRITE, PARALLAX_SPEED, SCALE
		bgLayers = { { "THEME_10_NYE_01", "SKY", 0.125, 5.0 },
					 { "THEME_10_NYE_02", "FOG", 0.5, 2.0 },
					 { "THEME_10_NYE_02", "BUSHES_FOREGROUND_02", 1.0, 1.5 } }, 
					 
					 
		fgLayers = { { "THEME_10_NYE_02", "THEME_10_NYE_ROCK_TEXTURE_01"},
					 { "GAME_AREA", "ground_tile_texture_rock"} },
					 		 
		color = { r = 100, g = 215, b = 243 },
		groundColor = { r = 85, g = 0, b = 0 },
		mask = { "INGAME_THEME_GROUND_1", "THEME_GROUND_TEXTURE_1" },
	},

}

groups = {
	staticBlocks = {
		keyUp = "X",
		keyDown = "Z",
		firstIndex = 1,
		lastIndex = 6,
		},
		
	rockBlocks = {
		keyUp = "2",
		keyDown = "1",
		firstIndex = 1,
		lastIndex = 12,
		},
	
	woodBlocks = {
		keyUp = "W",
		keyDown = "Q",
		firstIndex = 1,
		lastIndex = 12,
		},
		
	lightBlocks = {
		keyUp = "S",
		keyDown = "A",
		firstIndex = 1,
		lastIndex = 12,
		},
	
	birds = {
		keyUp = "4",
		keyDown = "3",
		firstIndex = 1,
		lastIndex = 10,
		},
	
	piglettes = {
		keyUp = "R",
		keyDown = "E",
		firstIndex = 1,
		lastIndex = 6,
		},
	
	anotherpig = {
		keyUp = "I",
		keyDown = "U",
		firstIndex = 1,
		lastIndex = 6,
		},
	
	story = {
		keyUp = "L",
		keyDown = "K",
		firstIndex = 1,
		lastIndex = 2,
		},	

	extras = {
		keyUp = "6",
		keyDown = "5",
		firstIndex = 2,
		lastIndex = 44,
		},	
	
	decorations = {
		keyUp = "V",
		keyDown = "C",
		firstIndex = 1,
		lastIndex = 13,
		},
	
	platforms = {
		keyUp = "Y",
		keyDown = "T",
		firstIndex = 1,
		lastIndex = 5,
		},

	staticFragile = {
		keyUp = "N",
		keyDown = "M",
		firstIndex = 1,
		lastIndex = 6,
		},
		
	clouds = {
		keyUp = "H",
		keyDown = "J",
		firstIndex = 1,
		lastIndex = 9,
		},
}

damageFactors = {
	DefaultDamageFactors = {
		-- multiplier for the damage done to the block
		damageMultiplier = {
			wood = 1,
			rock = 1,
			light = 1,
			immovable = 0,
			staticGround = 0,
			},
		-- multiplier for the bird velocity after block breaks
		velocityMultiplier = {
			wood = 1,
			rock = 1,
			light = 1,
			immovable = 1,
		},		
	},
	BlueBirdDamageFactors = {
		-- multiplier for the damage done to the block
		damageMultiplier = {
			wood = 1,
			rock = 1,
			light = 4 * 0.725,
			immovable = 0,
			staticGround = 0,
			},
		-- multiplier for the bird velocity after block breaks
		velocityMultiplier = {
			wood = 1,
			rock = 1,
			light = 1.9,
			immovable = 1,
		},		
	},	
	YellowBirdDamageFactors = {
		-- multiplier for the damage done to the block
		damageMultiplier = {
			wood = 4 * 0.6,
			rock = 1,
			light = 1,
			immovable = 0,
			staticGround = 0,
			},
		-- multiplier for the bird velocity after block breaks
		velocityMultiplier = {
			wood = 1,
			rock = 1,
			light = 1,
			immovable = 1,
		},		
	},
	BlackBirdDamageFactors = {
		-- multiplier for the damage done to the block
		damageMultiplier = {
			wood = 1,
			rock = 4,
			light = 1,
			immovable = 0,
			staticGround = 0,
			},
		-- multiplier for the bird velocity after block breaks
		velocityMultiplier = {
			wood = 1,
			rock = 1,
			light = 1,
			immovable = 1,
		},		
	},
	
	RedBigBirdDamageFactors = {
		damageMultiplier = {
--			wood = 0,
--			rock = 0,
--			light = 0,

			wood = 0.3,
			rock = 0.3,
			light = 0.3,

--			wood = 1.5,
--			rock = 1.5,
--			light = 1.5,
			immovable = 0,
			staticGround = 0,
			},
		velocityMultiplier = {
			wood = 1.8,
			rock = 1.8,
			light = 1.8,
			immovable = 1,
		},
	},	
	BoomerangBirdDamageFactors = {
		damageMultiplier = {
			wood = 1.6,
			rock = 0.8,
			light = 1.4,
			immovable = 0,
			staticGround = 0,
			},
		velocityMultiplier = {
			wood = 1.3,
			rock = 1,
			light = 1.3,
			immovable = 1,
		},
	},	
	MightyEagleBirdDamageFactors = {
			damageMultiplier = {
			wood = 1000000,
			rock = 1000000,
			light = 1000000,
			immovable = 1000000,
			staticGround = 0,
			},
		velocityMultiplier = {
			wood = 555,
			rock = 555,
			light = 555,
			immovable = 555,
		},
	},	
}


blocks = {
	SmallBlueBird = {
		radius = 0.6,
	    friction = 0.3,
	    type = "circle",
	    restitution = 0.25,
	    sprite = "BIRD_BLUE",
	    spriteFlying = "BIRD_BLUE",
	    spriteCollision = "BIRD_BLUE_COLLISION",
		spriteAction = "HUD_ICON_SPLIT",
		spriteScore = "10K_BLUE",
		spriteYell = "BIRD_BLUE_YELL",
		spriteBlink = "BIRD_BLUE_BLINK",
		allowRoll = true,
	    density = 4.5,
		damageFactors = "BlueBirdDamageFactors",
		controllable = true,
		material = "light",
		strength = 60,
		group = "birds",
		groupIndex = 2,
		particles = "blueBuff",
		particlesAmountLimits = { 12, 20},
		particlesTrail = "blueBirdTrail",
		collisionSound = "bird_02_collision",
		launchSound = "bird_02_flying",
		specialSound = "special_group",
		selectionSound = "bird_02_select",
		unselectionSound = "bird_02_unselect",
		specialty = "CLUSTER_BOMB",
		--tutorialInfo = "TUTORIAL_BIRD_BLUE",
		tutorialInfo = "TUTORIAL_2",
		useLegacyCollisionPath = true,		
	},

	RedBird = {
		radius = 0.85,
	    friction = 0.3,
	    type = "circle",
	    restitution = 0.43,
	    sprite = "BIRD_RED",
	    spriteFlying = "BIRD_RED_FLYING",
	    spriteCollision = "BIRD_RED_COLLISION",
		spriteAction = "HUD_ICON_NOTE",		
		spriteScore = "10K_RED",
		spriteYell = "BIRD_RED_YELL",
		spriteBlink = "BIRD_RED_BLINK",	
		allowRoll = true,
	    density = 6,
		damageFactors = "DefaultDamageFactors",
		controllable = true,
		material = "red",
		strength = 60,
		group = "birds",
		groupIndex = 1,
		particles = "redBuff",
		particlesAmountLimits = { 12, 20},
		particlesTrail = "redBirdTrail",		
		collisionSound = "bird_01_collision",
		launchSound = "bird_01_flying",
		specialSound = "red_special",
		selectionSound = "bird_01_select",
		unselectionSound = "bird_01_unselect",
		specialty = "SOUND",
		tutorialInfo = "TUTORIAL_1",
		useLegacyCollisionPath = true,
	},
	
	YellowBird = {
		radius = 0.8,
	    friction = 0.3,
	    type = "circle",
	    restitution = 0.23,
	    sprite = "BIRD_YELLOW",
	    spriteFlying = "BIRD_YELLOW_FLYING",
	    spriteCollision = "BIRD_YELLOW_COLLISION",
		spriteAction = "HUD_ICON_BOOST",	
		spriteScore = "10K_YELLOW",
		spriteYell = "BIRD_YELLOW_YELL",
		spriteBlink = "BIRD_YELLOW_BLINK",
		allowRoll = true,		
	    density = 6,
		damageFactors = "YellowBirdDamageFactors",
		controllable = true,
		material = "wood",
		strength = 60,
		group = "birds",
		groupIndex = 3,
		particles = "yellowBuff",
		particlesAmountLimits = { 12, 20},
		particlesTrail = "yellowBirdTrail",		
		collisionSound = "bird_03_collision",
		launchSound = "bird_03_flying",
		specialSound = "special_boost",
		selectionSound = "bird_03_select",
		unselectionSound = "bird_03_unselect",
		specialty = "BOOST",
		--tutorialInfo = "TUTORIAL_BIRD_YELLOW",		
		tutorialInfo = "TUTORIAL_3",
		useLegacyCollisionPath = true,		
	},
	
	BlackBird = {
		radius = 1,
	    friction = 0.3,
	    type = "circle",
	    restitution = 0.03,
	    sprite = "BIRD_GREY",
	    spriteFlying = "BIRD_GREY_FLYING",
	    spriteCollision = "BIRD_GREY_FLYING",
		spriteAction = "HUD_ICON_EXPLOSION",
		spriteScore = "10K_BLACK",
		spriteYell = "BIRD_GREY_YELL",
		spriteBlink = "BIRD_GREY_BLINK",			
	    density = 6,
		damageFactors = "BlackBirdDamageFactors",
		controllable = true,
		material = "rock",
		strength = 60,
		group = "birds",
		groupIndex = 5,
		particles = "blackBuff",
		particlesAmountLimits = { 12, 20},
		particlesTrail = "bombBirdTrail",		
		collisionSound = "bird_04_collision",
		launchSound = "bird_04_flying",
		specialSound = "special_explosion",
		selectionSound = "bird_04_select",
		unselectionSound = "bird_04_unselect",
		specialty = "BOMB",
		explosionRadius = 15,
		explosionForce = 40000,
		explosionDamageRadius = 5,
		explosionDamage = 300,
		--tutorialInfo = "TUTORIAL_BIRD_BLACK",
		tutorialInfo = "TUTORIAL_4",
		useLegacyCollisionPath = true,		
	},
	
	BasicBird2 = {
		radius = 1.3,
	    friction = 0.3,
	    type = "circle",
	    restitution = 0.23,
	    sprite = "BIRD_GREEN",
	    spriteFlying = "BIRD_GREEN_FLYING",
		spriteCollision = "BIRD_GREEN_COLLISION",
		spriteAction = "HUD_ICON_EGG",		
		spriteScore = "10K_WHITE",
		spriteYell = "BIRD_GREEN_YELL",
		spriteBlink = "BIRD_GREEN_BLINK",			
	    density = 4.5,
		damageFactors = "DefaultDamageFactors",
		controllable = true,
		material = "red",
		strength = 60,
		group = "birds",
		groupIndex = 4,
		particles = "greenBuff",
		particlesAmountLimits = { 12, 20},
		particlesTrail = "bomberBirdTrail",
		collisionSound = "bird_05_collision",
		launchSound = "bird_05_flying",
		specialSound = "special_egg",
		selectionSound = "bird_05_select",
		unselectionSound = "bird_05_unselect",
		specialty = "GRENADE",
		explosionRadius = 10,
		explosionForce = 20000,
		explosionDamageRadius = 5,
		explosionDamage = 200,
		--tutorialInfo = "TUTORIAL_BIRD_GREEN",		
		tutorialInfo = "TUTORIAL_5",
		useLegacyCollisionPath = true,		
	},

	EggGranade = {
--		radius = 1.3,
	    friction = 0.3,
	    type = "circle",
	    restitution = 0.23,
	    sprite = "DROPPABLE_EGG",
	    density = 3,
		damageFactors = "DefaultDamageFactors",
		controllable = true,
		material = "red",
		strength = 60,
		particles = "explosionBuff",		
		specialty = "BOMB",
		explosionRadius = 10,
		explosionForce = 10000,
		explosionDamageRadius = 8,
		explosionDamage = 400,
		useLegacyCollisionPath = true,		
	},
	
	RedBigBird = {
		radius = 1.8,
	    friction = 0.3,
	    type = "circle",
	    restitution = 0.45,
	    sprite = "BIRD_BIG_BROTHER",
	    spriteFlying = "BIRD_BIG_BROTHER",
	    spriteCollision = "BIRD_BIG_BROTHER",
		spriteAction = "HUD_ICON_NOTE",		
		spriteScore = "10K_RED",
		spriteYell = "BIRD_BIG_BROTHER_YELL",
		spriteBlink = "BIRD_BIG_BROTHER_BLINK",	
		allowRoll = true,
--	    density = 4,
	    density = 10,
		damageFactors = "RedBigBirdDamageFactors",
		controllable = true,
		material = "red",
		strength = 60,
		group = "birds",
		groupIndex = 6,
		particles = "redBuff",
		particlesAmountLimits = { 12, 20},
		particlesTrail = "redBirdTrail",		
		collisionSound = "big_brother_collision",
		launchSound = "big_brother_flying",
		specialSound = "big_brother_special",
		selectionSound = "big_brother_select",
		unselectionSound = "bird_01_unselect",
		specialty = "SOUND",
		tutorialInfo = "TUTORIAL_7",
	},
	
	BigPig = {
		radius = 1.8,
	    friction = 0.3,
	    type = "circle",
	    restitution = 0.45,
	    sprite = "PIGLETTE_BIG_01",
	    spriteFlying = "PIGLETTE_BIG_01",
	    spriteCollision = "PIGLETTE_BIG_03",
		spriteAction = "HUD_ICON_NOTE",		
		spriteScore = "10K_RED",
		spriteYell = "PIGLETTE_BIG_01_SMILE",
		spriteBlink = "PIGLETTE_BIG_01_SMILE",	
		allowRoll = true,
--	    density = 4,
	    density = 10,
		damageFactors = "RedBigBirdDamageFactors",
		controllable = true,
		material = "red",
		strength = 60,
		group = "birds",
		groupIndex = 10,
		particles = "redBuff",
		particlesAmountLimits = { 12, 20},
		particlesTrail = "redBirdTrail",		
		collisionSound = "piglette oink a8",
		launchSound = "piglette oink a8",
		specialSound = "piglette oink a8",
		selectionSound = "piglette oink a8",
		unselectionSound = "piglette oink a8",
		specialty = "SOUND",
		tutorialInfo = "TUTORIAL_7",
	},

          	BoomerangBird = {
		radius = 1.5,
	    friction = 0.3,
	    type = "circle",
	    restitution = 0.23,
	    sprite = "BIRD_BOOMERANG",
	    spriteFlying = "BIRD_BOOMERANG",
	    spriteCollision = "BIRD_BOOMERANG_COLLISION",
		spriteYell = "BIRD_BOOMERANG_YELL",
		spriteAction = "HUD_ICON_BOOST",	
		spriteScore = "10K_BOOMERANG",
		spriteBlink = "BIRD_BOOMERANG_BLINK",
		allowRoll = true,		
	    density = 3,
		damageFactors = "BoomerangBirdDamageFactors",
		controllable = true,
		material = "wood",
		strength = 60,
		group = "birds",
		groupIndex = 7,
		particles = "yellowBuff",
		particlesAmountLimits = { 12, 20},
		particlesTrail = "yellowBirdTrail",		
		collisionSound = "bird_03_collision",
		launchSound = "bird_06_flying",
		specialSound = "boomerang_activate",
		selectionSound = "boomerang_select",
		unselectionSound = "bird_03_unselect",
		specialty = "BOOMERANG",

		boomerangHorizontalForce = -50,
		boomerangVerticalForce = -350,

--		boomerangHorizontalForce = -65,
--		boomerangVerticalForce = -500,
		boomerangMaxHorizontalSpeed = 50,
--		boomerangHorizontalForce = -40,
--		boomerangVerticalForce = -0.35,
		flyVerticalForce = -60,
--		boomerangHorizontalForce = -20,
--		boomerangVerticalForce = -0.25,
		--tutorialInfo = "TUTORIAL_BIRD_YELLOW",		
		tutorialInfo = "TUTORIAL_6",
	},
	
	MightyEagleBird = {
		radius = 5,
	    friction = 0.1,
	    type = "circle",
	    restitution = 0.05,
	    sprite = "BIRD_MIGHTY_EAGLE_MOTION",
	    spriteFlying = "BIRD_MIGHTY_EAGLE_RADIAL",
	    spriteCollision = "BIRD_MIGHTY_EAGLE_MOTION",
		spriteAction = "BIRD_MIGHTY_EAGLE_RADIAL",		
		spriteScore = "BIRD_MIGHTY_EAGLE_RADIAL",
		spriteYell = "BIRD_MIGHTY_EAGLE_RADIAL",
		spriteBlink = "BIRD_MIGHTY_EAGLE_RADIAL",	
		allowRoll = true,
--	    density = 4,
	    density = 100,
		damageFactors = "MightyEagleBirdDamageFactors",
		controllable = true,
		material = "red",
		strength = 60000,
		group = "birds",
		groupIndex = 8,
		particles = "smokeBuff",
		particlesAmountLimits = { 1, 1},
		particlesTrail = "redBirdTrail",		
		collisionSound = "big_brother_collision",
		launchSound = "",
		specialSound = "",
		selectionSound = "",
		unselectionSound = "",
		specialty = "MIGHTY_EAGLE",
		tutorialInfo = "TUTORIAL_8",
		explosionRadius = 100,
		explosionForce = 20000,
		explosionDamageRadius = 100,
		explosionDamage = 1,		
		z_order = 999,
	},
	
	BaitSardine = {
	    friction = 0.25,
	    type = "box",
	    restitution = 0.05,
	    sprite = "BAIT_SARDINE",
	    spriteFlying = "BAIT_SARDINE",
	    spriteCollision = "BAIT_SARDINE",
		spriteAction = "BAIT_SARDINE",		
		spriteScore = "BAIT_SARDINE",
		spriteYell = "BAIT_SARDINE",
		spriteBlink = "BAIT_SARDINE",	
		allowRoll = true,
--	    density = 4,
	    density = 1,
		damageFactors = "DefaultDamageFactors",
		controllable = true,
		material = "common",
		strength = 1,
		group = "birds",
		groupIndex = 9,
		particles = "",
		particlesAmountLimits = { 0, 0},
		particlesTrail = "redBirdTrail",		
		collisionSound = "",
		launchSound = "bait_mouse_fly",
		specialSound = "mighty_eagle_yell",
		selectionSound = "bait_mouse_select",
		destroyedSound = "light_destroyed",
		unselectionSound = "",
		specialty = "SUMMON_MIGHTY_EAGLE",
		tutorialInfo = "TUTORIAL_8",
	},
	
	SmallPiglette = {
		radius = 1.075,
	    type = "circle",
	    sprite = "PIGLETTE_SMALL_01",
		controllable = false,
		levelGoal = true,
		material = "piglette",
--		defence = 4,
--		strength = 8,
		strength = 4,
		particles = "smokeBuff",
		group = "piglettes",
		groupIndex = 1,
		damageSprites = {	
			damage1 = {	sprite = "PIGLETTE_SMALL_01", blinkSprite = "PIGLETTE_SMALL_01_BLINK", smileSprite = "PIGLETTE_SMALL_01_SMILE", max = 100, min = 90, },
			damage2 = {	sprite = "PIGLETTE_SMALL_02", blinkSprite = "PIGLETTE_SMALL_02_BLINK", smileSprite = "PIGLETTE_SMALL_02_SMILE", max = 90, min = 50, },
			damage3 = {	sprite = "PIGLETTE_SMALL_03", blinkSprite = "PIGLETTE_SMALL_03_BLINK", smileSprite = "PIGLETTE_SMALL_03_SMILE", max = 50, min = -1000, },
		},
	},
	
	MediumPiglette = {
		radius = 1.85,
		friction = 0.3,
		type = "circle",
		sprite = "PIGLETTE_MEDIUM_01",
		density = 2,
		controllable = false,
		levelGoal = true,
		material = "piglette",
--		strength = 15,
		strength = 10,
		defence = 1,
		particles = "smokeBuff",
		group = "piglettes",
		groupIndex = 2,
		damageSprites = {	
			damage1 = {	sprite = "PIGLETTE_MEDIUM_01", blinkSprite = "PIGLETTE_MEDIUM_01_BLINK", smileSprite = "PIGLETTE_MEDIUM_01_SMILE", max = 100, min = 90, },
			damage2 = {	sprite = "PIGLETTE_MEDIUM_02", blinkSprite = "PIGLETTE_MEDIUM_02_BLINK", smileSprite = "PIGLETTE_MEDIUM_02_SMILE", max = 90, min = 50, },
			damage3 = {	sprite = "PIGLETTE_MEDIUM_03", blinkSprite = "PIGLETTE_MEDIUM_03_BLINK", smileSprite = "PIGLETTE_MEDIUM_03_SMILE", max = 50, min = -1000, },
		},
	},
	
	TheDuck = {
		radius = 1.85,
		friction = 0.3,
		type = "circle",
		sprite = "BLOCK_RUBBERDUCK",
		density = 2,
		controllable = false,
		levelGoal = true,
		material = "anotherpig",
--		strength = 15,
		strength = 10,
		defence = 1,
		particles = "smokeBuff",
		group = "anotherpig",
		groupIndex = 1,
		damageSprites = {	
			damage1 = {	sprite = "BLOCK_RUBBERDUCK", blinkSprite = "BLOCK_RUBBERDUCK", smileSprite = "BLOCK_RUBBERDUCK", max = 100, min = 90, },
			damage2 = {	sprite = "BLOCK_RUBBERDUCK", blinkSprite = "BLOCK_RUBBERDUCK", smileSprite = "BLOCK_RUBBERDUCK", max = 90, min = 50, },
			damage3 = {	sprite = "BLOCK_RUBBERDUCK", blinkSprite = "BLOCK_RUBBERDUCK", smileSprite = "BLOCK_RUBBERDUCK", max = 50, min = -1000, },
		},
	},
	
	PigDuck = {
		radius = 1.85,
		friction = 0.3,
		type = "circle",
		sprite = "BLOCK_RUBBERDUCK",
		density = 2,
		controllable = false,
		levelGoal = true,
		material = "piglettes",
--		strength = 15,
		strength = 10,
		defence = 1,
		particles = "smokeBuff",
		group = "piglettes",
		groupIndex = 114514,
		damageSprites = {	
			damage1 = {	sprite = "BLOCK_RUBBERDUCK", blinkSprite = "BLOCK_RUBBERDUCK", smileSprite = "BLOCK_RUBBERDUCK", max = 100, min = 90, },
			damage2 = {	sprite = "BLOCK_RUBBERDUCK", blinkSprite = "BLOCK_RUBBERDUCK", smileSprite = "BLOCK_RUBBERDUCK", max = 90, min = 50, },
			damage3 = {	sprite = "BLOCK_RUBBERDUCK", blinkSprite = "BLOCK_RUBBERDUCK", smileSprite = "BLOCK_RUBBERDUCK", max = 50, min = -1000, },
		},
	},
	
	HelmetPiglette = {
		radius = 1.95,
		friction = 0.3,
		type = "circle",
		sprite = "PIGLETTE_HELMET_01",
		density = 2,
		controllable = false,
		levelGoal = true,
		material = "piglette",
--		strength = 25,
		strength = 15,
--		defence = 15,
		defence = 8,
		particles = "smokeBuff",
		group = "piglettes",
		groupIndex = 3,
		damageSprites = {	
			damage1 = {	sprite = "PIGLETTE_HELMET_01", blinkSprite = "PIGLETTE_HELMET_01_BLINK", smileSprite = "PIGLETTE_HELMET_01_SMILE", max = 100, min = 90, },
			damage2 = {	sprite = "PIGLETTE_HELMET_02", blinkSprite = "PIGLETTE_HELMET_02_BLINK", smileSprite = "PIGLETTE_HELMET_02_SMILE", max = 90, min = 50, },
			damage3 = {	sprite = "PIGLETTE_HELMET_03", blinkSprite = "PIGLETTE_HELMET_03_BLINK", smileSprite = "PIGLETTE_HELMET_03_SMILE", max = 50, min = -1000, },
		},
	},
	
	LargePiglette = {
		radius = 2.325,
		friction = 0.3,
		type = "circle",
		sprite = "PIGLETTE_BIG_01",
		density = 1,
		controllable = false,
		levelGoal = true,
		material = "piglette",
--		strength = 40,
		strength = 20,
		particles = "smokeBuff",
		group = "piglettes",
		groupIndex = 4,
		damageSprites = {	
			damage1 = {	sprite = "PIGLETTE_BIG_01", blinkSprite = "PIGLETTE_BIG_01_BLINK", smileSprite = "PIGLETTE_BIG_01_SMILE", max = 100, min = 90, },
			damage2 = {	sprite = "PIGLETTE_BIG_02", blinkSprite = "PIGLETTE_BIG_02_BLINK", smileSprite = "PIGLETTE_BIG_02_SMILE", max = 90, min = 50, },
			damage3 = {	sprite = "PIGLETTE_BIG_03", blinkSprite = "PIGLETTE_BIG_03_BLINK", smileSprite = "PIGLETTE_BIG_03_SMILE", max = 50, min = -1000, },
		},                                                                     
	},
	
	GrandpaPiglette = {
		radius = 2.2,
		friction = 0.3,
		type = "circle",
		sprite = "PIGLETTE_GRANDPA_01",
		density = 1,
		controllable = false,
		levelGoal = true,
		material = "piglette",
--		strength = 60,
		strength = 30,
		particles = "smokeBuff",
		group = "piglettes",
		groupIndex = 5,
		damageSprites = {	
			damage1 = {	sprite = "PIGLETTE_GRANDPA_01", blinkSprite = "PIGLETTE_GRANDPA_01_BLINK", smileSprite = "PIGLETTE_GRANDPA_04_SMILE", max = 100, min = 90, },
			damage2 = {	sprite = "PIGLETTE_GRANDPA_02", blinkSprite = "PIGLETTE_GRANDPA_02_BLINK", smileSprite = "PIGLETTE_GRANDPA_05_SMILE", max = 90, min = 50, },
			damage3 = {	sprite = "PIGLETTE_GRANDPA_03", blinkSprite = "PIGLETTE_GRANDPA_03_BLINK", smileSprite = "PIGLETTE_GRANDPA_06_SMILE", max = 50, min = -1000, },
		},                                                           
	},
	
	KingPiglette = {
		radius = 2.825,
		friction = 0.3,
		type = "circle",
		sprite = "PIGLETTE_KING_01",
		density = 1,
		controllable = false,
		levelGoal = true,
		material = "piglette",
		defence = 0,
		strength = 100,
		particles = "smokeBuff",
		group = "piglettes",
		groupIndex = 6,
		damageSprites = {	
			damage1 = {	sprite = "PIGLETTE_KING_01", blinkSprite = "PIGLETTE_KING_01_BLINK", smileSprite = "PIGLETTE_KING_07_SMILE", max = 100, min = 90, },
			damage2 = {	sprite = "PIGLETTE_KING_02", blinkSprite = "PIGLETTE_KING_02_BLINK", smileSprite = "PIGLETTE_KING_08_SMILE", max = 90, min = 50, },
			damage3 = {	sprite = "PIGLETTE_KING_03", blinkSprite = "PIGLETTE_KING_03_BLINK", smileSprite = "PIGLETTE_KING_09_SMILE", max = 50, min = -1000, },
		},
	},                                                            
	
	StoryEX = {
	    type = "box",
	    sprite = "STORY_H1_END",
		controllable = false,
		material = "story",
		group = "story",
		groupIndex = 1,
		strength = 114514,
		damageSprites = {	
			damage1 = {	sprite = "STORY_H1_END", max = 100, min = 75, },
			damage2 = {	sprite = "STORY_H1_END", max = 75, min = 50, },
			damage3 = {	sprite = "STORY_H1_END", max = 50, min = 25, },
			damage4 = {	sprite = "STORY_H1_END", max = 25, min = -1000, },
		},
	},                                                            
	
	Story1 = {
	    type = "box",
	    sprite = "STORY_H2_END",
		controllable = false,
		material = "story",
		group = "story",
		groupIndex = 2,
		strength = 114514,
		damageSprites = {	
			damage1 = {	sprite = "STORY_H2_END", max = 100, min = 75, },
			damage2 = {	sprite = "STORY_H2_END", max = 75, min = 50, },
			damage3 = {	sprite = "STORY_H2_END", max = 50, min = 25, },
			damage4 = {	sprite = "STORY_H2_END", max = 25, min = -1000, },
		},
	},                                                            
	
	WoodBlock1 = {
	    type = "box",
	    sprite = "BLOCK_WOOD_1_1",
		controllable = false,
		material = "wood",
		group = "woodBlocks",
		groupIndex = 1,
		strength = 20,
		damageSprites = {	
			damage1 = {	sprite = "BLOCK_WOOD_1_1", max = 100, min = 75, },
			damage2 = {	sprite = "BLOCK_WOOD_2_1", max = 75, min = 50, },
			damage3 = {	sprite = "BLOCK_WOOD_3_1", max = 50, min = 25, },
			damage4 = {	sprite = "BLOCK_WOOD_4_1", max = 25, min = -1000, },
		},
	},

	WoodBlock2 = {
	    type = "box",
	    sprite = "BLOCK_WOOD_1_2",
		controllable = false,
		material = "wood",
		group = "woodBlocks",
		groupIndex = 2,
		strength = 40,
		damageSprites = {	
			damage1 = {	sprite = "BLOCK_WOOD_1_2", max = 100, min = 75, },
			damage2 = {	sprite = "BLOCK_WOOD_2_2", max = 75, min = 50, },
			damage3 = {	sprite = "BLOCK_WOOD_3_2", max = 50, min = 25, },
			damage4 = {	sprite = "BLOCK_WOOD_4_2", max = 25, min = -1000, },
		},
	},

	WoodBlock3 = {
	    type = "box",
	    sprite = "BLOCK_WOOD_1_3",
		controllable = false,
		material = "wood",
		group = "woodBlocks",
		groupIndex = 3,
		strength = 60,
		damageSprites = {	
			damage1 = {	sprite = "BLOCK_WOOD_1_3", max = 100, min = 75, },
			damage2 = {	sprite = "BLOCK_WOOD_2_3", max = 75, min = 50, },
			damage3 = {	sprite = "BLOCK_WOOD_3_3", max = 50, min = 25, },
			damage4 = {	sprite = "BLOCK_WOOD_4_3", max = 25, min = -1000, },
		},
	},

	WoodBlock4 = {
	    type = "box",
	    sprite = "BLOCK_WOOD_1_4",
		controllable = false,
		material = "wood",
		group = "woodBlocks",
		groupIndex = 4,
		strength = 50,
		damageSprites = {	
			damage1 = {	sprite = "BLOCK_WOOD_1_4", max = 100, min = 75, },
			damage2 = {	sprite = "BLOCK_WOOD_2_4", max = 75, min = 50, },
			damage3 = {	sprite = "BLOCK_WOOD_3_4", max = 50, min = 25, },
			damage4 = {	sprite = "BLOCK_WOOD_4_4", max = 25, min = -1000, },
		},
	},

	WoodBlock5 = {
	    type = "box",
	    sprite = "BLOCK_WOOD_1_5",
		controllable = false,
		material = "wood",
		group = "woodBlocks",
		groupIndex = 5,
		strength = 80,
		damageSprites = {	
			damage1 = {	sprite = "BLOCK_WOOD_1_5", max = 100, min = 75, },
			damage2 = {	sprite = "BLOCK_WOOD_2_5", max = 75, min = 50, },
			damage3 = {	sprite = "BLOCK_WOOD_3_5", max = 50, min = 25, },
			damage4 = {	sprite = "BLOCK_WOOD_4_5", max = 25, min = -1000, },
		},
	},

	WoodBlock6 = {
	    type = "box",
	    sprite = "BLOCK_WOOD_1_6",
		controllable = false,
		material = "wood",
		group = "woodBlocks",
		groupIndex = 6,
		strength = 70,
		damageSprites = {	
			damage1 = {	sprite = "BLOCK_WOOD_1_6", max = 100, min = 75, },
			damage2 = {	sprite = "BLOCK_WOOD_2_6", max = 75, min = 50, },
			damage3 = {	sprite = "BLOCK_WOOD_3_6", max = 50, min = 25, },
			damage4 = {	sprite = "BLOCK_WOOD_4_6", max = 25, min = -1000, },
		},
	},
	
	WoodBlock7 = {
	    type = "circle",
	    sprite = "BLOCK_WOOD_1_7",
		controllable = false,
		material = "wood",
		group = "woodBlocks",
		groupIndex = 7,
		strength = 200,
		damageSprites = {	
			damage1 = {	sprite = "BLOCK_WOOD_1_7", max = 100, min = 75, },
			damage2 = {	sprite = "BLOCK_WOOD_2_7", max = 75, min = 50, },
			damage3 = {	sprite = "BLOCK_WOOD_3_7", max = 50, min = 25, },
			damage4 = {	sprite = "BLOCK_WOOD_4_7", max = 25, min = -1000, },
		},
	},
	
	WoodBlock8 = {
	    type = "circle",
	    sprite = "BLOCK_WOOD_1_8",
		controllable = false,
		material = "wood",
		group = "woodBlocks",
		groupIndex = 8,
		strength = 150,
		damageSprites = {	
			damage1 = {	sprite = "BLOCK_WOOD_1_8", max = 100, min = 75, },
			damage2 = {	sprite = "BLOCK_WOOD_2_8", max = 75, min = 50, },
			damage3 = {	sprite = "BLOCK_WOOD_3_8", max = 50, min = 25, },
			damage4 = {	sprite = "BLOCK_WOOD_4_8", max = 25, min = -1000, },
		},
	},

	WoodBlock9 = {
	    type = "box",
	    sprite = "BLOCK_WOOD_4X4_1",
		controllable = false,
		material = "wood",
		group = "woodBlocks",
		groupIndex = 9,
		strength = 120,
		damageSprites = {	
			damage1 = {	sprite = "BLOCK_WOOD_4X4_1", max = 100, min = 75, },
			damage2 = {	sprite = "BLOCK_WOOD_4X4_2", max = 75, min = 50, },
			damage3 = {	sprite = "BLOCK_WOOD_4X4_3", max = 50, min = 25, },
			damage4 = {	sprite = "BLOCK_WOOD_4X4_4", max = 25, min = -1000, },
		},
	},

	WoodBlock10 = {
	    type = "box",
	    sprite = "BLOCK_WOOD_10X1_1",
		controllable = false,
		material = "wood",
		group = "woodBlocks",
		groupIndex = 10,
		strength = 100,
		damageSprites = {	
			damage1 = {	sprite = "BLOCK_WOOD_10X1_1", max = 100, min = 75, },
			damage2 = {	sprite = "BLOCK_WOOD_10X1_2", max = 75, min = 50, },
			damage3 = {	sprite = "BLOCK_WOOD_10X1_3", max = 50, min = 25, },
			damage4 = {	sprite = "BLOCK_WOOD_10X1_4", max = 25, min = -1000, },
		},
	},

	WoodBlock11 = {
    type = "polygon",
		vertices = {
   		{ x = 0, y = 0 },
   		{ x = 1, y = 1 },
   		{ x = 0, y = 1 },
 		},
    sprite = "BLOCK_WOOD_TRIANGLE_L_1",
		controllable = false,
		material = "wood",
		group = "woodBlocks",
		groupIndex = 11,
		strength = 80,
		damageSprites = {	
			damage1 = {	sprite = "BLOCK_WOOD_TRIANGLE_L_1", max = 100, min = 75, },
			damage2 = {	sprite = "BLOCK_WOOD_TRIANGLE_L_2", max = 75, min = 50, },
			damage3 = {	sprite = "BLOCK_WOOD_TRIANGLE_L_3", max = 50, min = 25, },
			damage4 = {	sprite = "BLOCK_WOOD_TRIANGLE_L_4", max = 25, min = -1000, },
		},
	},

	WoodBlock12 = {
    type = "polygon",
		vertices = {
   		{ x = 0.5, y = 0 },
   		{ x = 1, y = 1 },
   		{ x = 0, y = 1 },
 		},
    sprite = "BLOCK_WOOD_TRIANGLE_M_1",
		controllable = false,
		material = "wood",
		group = "woodBlocks",
		groupIndex = 12,
		strength = 70,
		damageSprites = {	
			damage1 = {	sprite = "BLOCK_WOOD_TRIANGLE_M_1", max = 100, min = 75, },
			damage2 = {	sprite = "BLOCK_WOOD_TRIANGLE_M_2", max = 75, min = 50, },
			damage3 = {	sprite = "BLOCK_WOOD_TRIANGLE_M_3", max = 50, min = 25, },
			damage4 = {	sprite = "BLOCK_WOOD_TRIANGLE_M_4", max = 25, min = -1000, },
		},
	},

	StoneBlock1 = {
	    type = "box",
	    sprite = "BLOCK_ROCK_1_1",
		controllable = false,
		material = "rock",
		group = "rockBlocks",
		groupIndex = 1,
--		strength = 40,
		strength = 30,
		damageSprites = {	
			damage1 = {	sprite = "BLOCK_ROCK_1_1", max = 100, min = 75, },
			damage2 = {	sprite = "BLOCK_ROCK_2_1", max = 75, min = 50, },
			damage3 = {	sprite = "BLOCK_ROCK_3_1", max = 50, min = 25, },
			damage4 = {	sprite = "BLOCK_ROCK_4_1", max = 25, min = -1000, },
		},
	},

	StoneBlock2 = {
	    type = "box",
	    sprite = "BLOCK_ROCK_1_2",
		controllable = false,
		material = "rock",
		group = "rockBlocks",
		groupIndex = 2,
--		strength = 80,
		strength = 60,
		damageSprites = {	
			damage1 = {	sprite = "BLOCK_ROCK_1_2", max = 100, min = 75, },
			damage2 = {	sprite = "BLOCK_ROCK_2_2", max = 75, min = 50, },
			damage3 = {	sprite = "BLOCK_ROCK_3_2", max = 50, min = 25, },
			damage4 = {	sprite = "BLOCK_ROCK_4_2", max = 25, min = -1000, },
		},
	},

	StoneBlock3 = {
	    type = "box",
	    sprite = "BLOCK_ROCK_1_3",
		controllable = false,
		material = "rock",
		group = "rockBlocks",
		groupIndex = 3,
--		strength = 120,
		strength = 100,
		damageSprites = {	
			damage1 = {	sprite = "BLOCK_ROCK_1_3", max = 100, min = 75, },
			damage2 = {	sprite = "BLOCK_ROCK_2_3", max = 75, min = 50, },
			damage3 = {	sprite = "BLOCK_ROCK_3_3", max = 50, min = 25, },
			damage4 = {	sprite = "BLOCK_ROCK_4_3", max = 25, min = -1000, },
		},
	},

	StoneBlock4 = {
	    type = "box",
	    sprite = "BLOCK_ROCK_1_4",
		controllable = false,
		material = "rock",
		group = "rockBlocks",
		groupIndex = 4,
--		strength = 100,
		strength = 80,
		damageSprites = {	
			damage1 = {	sprite = "BLOCK_ROCK_1_4", max = 100, min = 75, },
			damage2 = {	sprite = "BLOCK_ROCK_2_4", max = 75, min = 50, },
			damage3 = {	sprite = "BLOCK_ROCK_3_4", max = 50, min = 25, },
			damage4 = {	sprite = "BLOCK_ROCK_4_4", max = 25, min = -1000, },
		},
	},

	StoneBlock5 = {
	    type = "box",
	    sprite = "BLOCK_ROCK_1_5",
		controllable = false,
		material = "rock",
		group = "rockBlocks",
		groupIndex = 5,
--		strength = 160,
		strength = 140,
		damageSprites = {	
			damage1 = {	sprite = "BLOCK_ROCK_1_5", max = 100, min = 75, },
			damage2 = {	sprite = "BLOCK_ROCK_2_5", max = 75, min = 50, },
			damage3 = {	sprite = "BLOCK_ROCK_3_5", max = 50, min = 25, },
			damage4 = {	sprite = "BLOCK_ROCK_4_5", max = 25, min = -1000, },
		},
	},

	StoneBlock6 = {
	    type = "box",
	    sprite = "BLOCK_ROCK_1_6",
		controllable = false,
		material = "rock",
		group = "rockBlocks",
		groupIndex = 6,
--		strength = 140,
		strength = 120,
		damageSprites = {	
			damage1 = {	sprite = "BLOCK_ROCK_1_6", max = 100, min = 75, },
			damage2 = {	sprite = "BLOCK_ROCK_2_6", max = 75, min = 50, },
			damage3 = {	sprite = "BLOCK_ROCK_3_6", max = 50, min = 25, },
			damage4 = {	sprite = "BLOCK_ROCK_4_6", max = 25, min = -1000, },
		},
	},
	
	StoneBlock7 = {
	    type = "circle",
	    sprite = "BLOCK_ROCK_1_7",
		controllable = false,
		material = "rock",
		group = "rockBlocks",
		strength = 600,
		groupIndex = 7,
		damageSprites = {	
			damage1 = {	sprite = "BLOCK_ROCK_1_7", max = 100, min = 75, },
			damage2 = {	sprite = "BLOCK_ROCK_2_7", max = 75, min = 50, },
			damage3 = {	sprite = "BLOCK_ROCK_3_7", max = 50, min = 25, },
			damage4 = {	sprite = "BLOCK_ROCK_4_7", max = 25, min = -1000, },
		},
	},
	
	StoneBlock8 = {
	    type = "circle",
	    sprite = "BLOCK_ROCK_1_8",
		controllable = false,
		material = "rock",
		group = "rockBlocks",
		groupIndex = 8,
		strength = 300,
		damageSprites = {	
			damage1 = {	sprite = "BLOCK_ROCK_1_8", max = 100, min = 75, },
			damage2 = {	sprite = "BLOCK_ROCK_2_8", max = 75, min = 50, },
			damage3 = {	sprite = "BLOCK_ROCK_3_8", max = 50, min = 25, },
			damage4 = {	sprite = "BLOCK_ROCK_4_8", max = 25, min = -1000, },
		},
	},

	StoneBlock9 = {
	    type = "box",
	    sprite = "BLOCK_ROCK_4X4_1",
		controllable = false,
		material = "rock",
		group = "rockBlocks",
		groupIndex = 9,
		strength = 160,
		damageSprites = {	
			damage1 = {	sprite = "BLOCK_ROCK_4X4_1", max = 100, min = 75, },
			damage2 = {	sprite = "BLOCK_ROCK_4X4_2", max = 75, min = 50, },
			damage3 = {	sprite = "BLOCK_ROCK_4X4_3", max = 50, min = 25, },
			damage4 = {	sprite = "BLOCK_ROCK_4X4_4", max = 25, min = -1000, },
		},
	},

	StoneBlock10 = {
	    type = "box",
	    sprite = "BLOCK_ROCK_10X1_1",
		controllable = false,
		material = "rock",
		group = "rockBlocks",
		groupIndex = 10,
		strength = 140,
		damageSprites = {	
			damage1 = {	sprite = "BLOCK_ROCK_10X1_1", max = 100, min = 75, },
			damage2 = {	sprite = "BLOCK_ROCK_10X1_2", max = 75, min = 50, },
			damage3 = {	sprite = "BLOCK_ROCK_10X1_3", max = 50, min = 25, },
			damage4 = {	sprite = "BLOCK_ROCK_10X1_4", max = 25, min = -1000, },
		},
	},

	StoneBlock11 = {
    type = "polygon",
		vertices = {
   		{ x = 0, y = 0 },
   		{ x = 1, y = 1 },
   		{ x = 0, y = 1 },
 		},
    sprite = "BLOCK_ROCK_TRIANGLE_L_1",
		controllable = false,
		material = "rock",
		group = "rockBlocks",
		groupIndex = 11,
		strength = 140,
		damageSprites = {	
			damage1 = {	sprite = "BLOCK_ROCK_TRIANGLE_L_1", max = 100, min = 75, },
			damage2 = {	sprite = "BLOCK_ROCK_TRIANGLE_L_2", max = 75, min = 50, },
			damage3 = {	sprite = "BLOCK_ROCK_TRIANGLE_L_3", max = 50, min = 25, },
			damage4 = {	sprite = "BLOCK_ROCK_TRIANGLE_L_4", max = 25, min = -1000, },
		},
	},

	StoneBlock12 = {
    type = "polygon",
		vertices = {
   		{ x = 0.5, y = 0 },
   		{ x = 1, y = 1 },
   		{ x = 0, y = 1 },
 		},
    sprite = "BLOCK_ROCK_TRIANGLE_M_1",
		controllable = false,
		material = "rock",
		group = "rockBlocks",
		groupIndex = 12,
		strength = 140,
		damageSprites = {	
			damage1 = {	sprite = "BLOCK_ROCK_TRIANGLE_M_1", max = 100, min = 75, },
			damage2 = {	sprite = "BLOCK_ROCK_TRIANGLE_M_2", max = 75, min = 50, },
			damage3 = {	sprite = "BLOCK_ROCK_TRIANGLE_M_3", max = 50, min = 25, },
			damage4 = {	sprite = "BLOCK_ROCK_TRIANGLE_M_4", max = 25, min = -1000, },
		},
	},

	LightBlock1 = {
	    type = "box",
	    sprite = "BLOCK_LIGHT_1_1",
		controllable = false,
		material = "light",
		group = "lightBlocks",
		groupIndex = 1,
		strength = 13,
		damageSprites = {	
			damage1 = {	sprite = "BLOCK_LIGHT_1_1", max = 100, min = 75, },
			damage2 = {	sprite = "BLOCK_LIGHT_2_1", max = 75, min = 50, },
			damage3 = {	sprite = "BLOCK_LIGHT_3_1", max = 50, min = 25, },
			damage4 = {	sprite = "BLOCK_LIGHT_4_1", max = 25, min = -1000, },
		},
	},

	LightBlock2 = {
	    type = "box",
	    sprite = "BLOCK_LIGHT_1_2",
		controllable = false,
		material = "light",
		group = "lightBlocks",
		groupIndex = 2,
		strength = 26,
		damageSprites = {	
			damage1 = {	sprite = "BLOCK_LIGHT_1_2", max = 100, min = 75, },
			damage2 = {	sprite = "BLOCK_LIGHT_2_2", max = 75, min = 50, },
			damage3 = {	sprite = "BLOCK_LIGHT_3_2", max = 50, min = 25, },
			damage4 = {	sprite = "BLOCK_LIGHT_4_2", max = 25, min = -1000, },
		},
	},

	LightBlock3 = {
	    type = "box",
	    sprite = "BLOCK_LIGHT_1_3",
		controllable = false,
		material = "light",
		group = "lightBlocks",
		groupIndex = 3,
		strength = 40,
		damageSprites = {	
			damage1 = {	sprite = "BLOCK_LIGHT_1_3", max = 100, min = 75, },
			damage2 = {	sprite = "BLOCK_LIGHT_2_3", max = 75, min = 50, },
			damage3 = {	sprite = "BLOCK_LIGHT_3_3", max = 50, min = 25, },
			damage4 = {	sprite = "BLOCK_LIGHT_4_3", max = 25, min = -1000, },
		},
	},

	LightBlock4 = {
	    type = "box",
	    sprite = "BLOCK_LIGHT_1_4",
		controllable = false,
		material = "light",
		group = "lightBlocks",
		groupIndex = 4,
		strength = 33,
		damageSprites = {	
			damage1 = {	sprite = "BLOCK_LIGHT_1_4", max = 100, min = 75, },
			damage2 = {	sprite = "BLOCK_LIGHT_2_4", max = 75, min = 50, },
			damage3 = {	sprite = "BLOCK_LIGHT_3_4", max = 50, min = 25, },
			damage4 = {	sprite = "BLOCK_LIGHT_4_4", max = 25, min = -1000, },
		},
	},

	LightBlock5 = {
	    type = "box",
	    sprite = "BLOCK_LIGHT_1_5",
		controllable = false,
		material = "light",
		group = "lightBlocks",
		groupIndex = 5,
		strength = 53,
		damageSprites = {	
			damage1 = {	sprite = "BLOCK_LIGHT_1_5", max = 100, min = 75, },
			damage2 = {	sprite = "BLOCK_LIGHT_2_5", max = 75, min = 50, },
			damage3 = {	sprite = "BLOCK_LIGHT_3_5", max = 50, min = 25, },
			damage4 = {	sprite = "BLOCK_LIGHT_4_5", max = 25, min = -1000, },
		},
	},

	LightBlock6 = {
	    type = "box",
	    sprite = "BLOCK_LIGHT_1_6",
		controllable = false,
		material = "light",
		group = "lightBlocks",
		groupIndex = 6,
		strength = 47,
		damageSprites = {	
			damage1 = {	sprite = "BLOCK_LIGHT_1_6", max = 100, min = 75, },
			damage2 = {	sprite = "BLOCK_LIGHT_2_6", max = 75, min = 50, },
			damage3 = {	sprite = "BLOCK_LIGHT_3_6", max = 50, min = 25, },
			damage4 = {	sprite = "BLOCK_LIGHT_4_6", max = 25, min = -1000, },
		},
	},
	
	LightBlock7 = {
	    type = "circle",
	    sprite = "BLOCK_LIGHT_1_7",
		controllable = false,
		material = "light",
		group = "lightBlocks",
		groupIndex = 7,
		strength = 125,
		damageSprites = {	
			damage1 = {	sprite = "BLOCK_LIGHT_1_7", max = 100, min = 75, },
			damage2 = {	sprite = "BLOCK_LIGHT_2_7", max = 75, min = 50, },
			damage3 = {	sprite = "BLOCK_LIGHT_3_7", max = 50, min = 25, },
			damage4 = {	sprite = "BLOCK_LIGHT_4_7", max = 25, min = -1000, },
		},
	},
	
	LightBlock8 = {
	    type = "circle",
	    sprite = "BLOCK_LIGHT_1_8",
		controllable = false,
		material = "light",
		group = "lightBlocks",
		groupIndex = 8,
		strength = 100,
		damageSprites = {	
			damage1 = {	sprite = "BLOCK_LIGHT_1_8", max = 100, min = 75, },
			damage2 = {	sprite = "BLOCK_LIGHT_2_8", max = 75, min = 50, },
			damage3 = {	sprite = "BLOCK_LIGHT_3_8", max = 50, min = 25, },
			damage4 = {	sprite = "BLOCK_LIGHT_4_8", max = 25, min = -1000, },
		},
	},

	LightBlock9 = {
	    type = "box",
	    sprite = "BLOCK_LIGHT_4X4_1",
		controllable = false,
		material = "light",
		group = "lightBlocks",
		groupIndex = 9,
		strength = 70,
		damageSprites = {	
			damage1 = {	sprite = "BLOCK_LIGHT_4X4_1", max = 100, min = 75, },
			damage2 = {	sprite = "BLOCK_LIGHT_4X4_2", max = 75, min = 50, },
			damage3 = {	sprite = "BLOCK_LIGHT_4X4_3", max = 50, min = 25, },
			damage4 = {	sprite = "BLOCK_LIGHT_4X4_4", max = 25, min = -1000, },
		},
	},

	LightBlock10 = {
	    type = "box",
	    sprite = "BLOCK_LIGHT_10X1_1",
		controllable = false,
		material = "light",
		group = "lightBlocks",
		groupIndex = 10,
		strength = 65,
		damageSprites = {	
			damage1 = {	sprite = "BLOCK_LIGHT_10X1_1", max = 100, min = 75, },
			damage2 = {	sprite = "BLOCK_LIGHT_10X1_2", max = 75, min = 50, },
			damage3 = {	sprite = "BLOCK_LIGHT_10X1_3", max = 50, min = 25, },
			damage4 = {	sprite = "BLOCK_LIGHT_10X1_4", max = 25, min = -1000, },
		},
	},

	LightBlock11 = {
    type = "polygon",
		vertices = {
   		{ x = 0, y = 0 },
   		{ x = 1, y = 1 },
   		{ x = 0, y = 1 },
 		},
    sprite = "BLOCK_LIGHT_TRIANGLE_L_1",
		controllable = false,
		material = "light",
		group = "lightBlocks",
		groupIndex = 11,
		strength = 53,
		damageSprites = {	
			damage1 = {	sprite = "BLOCK_LIGHT_TRIANGLE_L_1", max = 100, min = 75, },
			damage2 = {	sprite = "BLOCK_LIGHT_TRIANGLE_L_2", max = 75, min = 50, },
			damage3 = {	sprite = "BLOCK_LIGHT_TRIANGLE_L_3", max = 50, min = 25, },
			damage4 = {	sprite = "BLOCK_LIGHT_TRIANGLE_L_4", max = 25, min = -1000, },
		},
	},

	LightBlock12 = {
    type = "polygon",
		vertices = {
   		{ x = 0.5, y = 0 },
   		{ x = 1, y = 1 },
   		{ x = 0, y = 1 },
 		},
    sprite = "BLOCK_LIGHT_TRIANGLE_M_1",
		controllable = false,
		material = "light",
		group = "lightBlocks",
		groupIndex = 12,
		strength = 48,
		damageSprites = {	
			damage1 = {	sprite = "BLOCK_LIGHT_TRIANGLE_M_1", max = 100, min = 75, },
			damage2 = {	sprite = "BLOCK_LIGHT_TRIANGLE_M_2", max = 75, min = 50, },
			damage3 = {	sprite = "BLOCK_LIGHT_TRIANGLE_M_3", max = 50, min = 25, },
			damage4 = {	sprite = "BLOCK_LIGHT_TRIANGLE_M_4", max = 25, min = -1000, },
		},
	},

	DecorationSpotsTheme01_01 = {
	    type = "box",
	    sprite = "DECORATION_SPOTS_THEME1_01",
		theme = "theme1",
		material = "decoration",
		group = "decorations",
		groupIndex = 1,
	},
	
	DecorationSpotsTheme01_02 = {
	    type = "box",
	    sprite = "DECORATION_SPOTS_THEME1_02",
		theme = "theme1",
		material = "decoration",
		group = "decorations",
		groupIndex = 2,
	},
	
	DecorationSpotsTheme01_03 = {
	    type = "box",
	    sprite = "DECORATION_SPOTS_THEME1_03",
		theme = "theme1",
		material = "decoration",
		group = "decorations",
		groupIndex = 3,
	},
	
	DecorationSpotsTheme02_01 = {
	    type = "box",
	    sprite = "DECORATION_SPOTS_THEME2_01",
		theme = "theme2",
		material = "decoration",
		group = "decorations",
		groupIndex = 1,
	},
	
	DecorationSpotsTheme02_02 = {
	    type = "box",
	    sprite = "DECORATION_SPOTS_THEME2_02",
		theme = "theme2",
		material = "decoration",
		group = "decorations",
		groupIndex = 2,
	},
	
	DecorationSpotsTheme02_03 = {
	    type = "box",
	    sprite = "DECORATION_SPOTS_THEME2_03",
		theme = "theme2",
		material = "decoration",
		group = "decorations",
		groupIndex = 3,
	},
	
	DecorationSpotsTheme03_01 = {
	    type = "box",
	    sprite = "DECORATION_SPOTS_THEME3_01",
		theme = "theme3",
		material = "decoration",
		group = "decorations",
		groupIndex = 1,
	},
	
	DecorationSpotsTheme03_02 = {
	    type = "box",
	    sprite = "DECORATION_SPOTS_THEME3_02",
		theme = "theme3",
		material = "decoration",
		group = "decorations",
		groupIndex = 2,
	},
	
	DecorationSpotsTheme03_03 = {
	    type = "box",
	    sprite = "DECORATION_SPOTS_THEME3_03",
		theme = "theme3",
		material = "decoration",
		group = "decorations",
		groupIndex = 3,
	},
	
	DecorationSkull01 = {
	    type = "box",
	    sprite = "DECORATION_SKULL01",
		material = "decoration",
		group = "decorations",
		groupIndex = 4,
	},
	
	DecorationSkull02 = {
	    type = "box",
	    sprite = "DECORATION_SKULL02",
		material = "decoration",
		group = "decorations",
		groupIndex = 5,
	},
	
	DecorationBone01 = {
	    type = "box",
	    sprite = "DECORATION_BONE01",
		material = "decoration",
		group = "decorations",
		groupIndex = 6,
	},
	
	DecorationBone02 = {
	    type = "box",
	    sprite = "DECORATION_BONE02",
		material = "decoration",
		group = "decorations",
		groupIndex = 7,
	},
	
	DecorationBone03 = {
	    type = "box",
	    sprite = "DECORATION_BONE03",
		material = "decoration",
		group = "decorations",
		groupIndex = 8,
	},
	
	DecorationBone04 = {
	    type = "box",
	    sprite = "DECORATION_BONE04",
		material = "decoration",
		group = "decorations",
		groupIndex = 9,
	},
	
	DecorationBoneSet01 = {
	    type = "box",
	    sprite = "DECORATION_BONESET01",
		material = "decoration",
		group = "decorations",
		groupIndex = 10,
	},
	
	DecorationBoneSet02 = {
	    type = "box",
	    sprite = "DECORATION_BONESET02",
		material = "decoration",
		group = "decorations",
		groupIndex = 11,
	},	
	
	DecorationEstrade01 = {
	    type = "box",
	    sprite = "ESTRADE_FLAG",
		material = "decoration",
		group = "decorations",
		groupIndex = 12,
	},
	
	DecorationEstrade02 = {
	    type = "box",
	    sprite = "ESTRADE_THEATER",
		material = "decoration",
		group = "decorations",
		groupIndex = 13,
	},
	
	StaticBlockTheme01_01 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_01",
		texture = "INGAME_THEME_GROUND_1",
		theme = "theme1",
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 1,
	},
	
	StaticBlockTheme01_02 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_02",
		texture = "INGAME_THEME_GROUND_1",
		theme = "theme1",		
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 2,
	},
	
	StaticBlockTheme01_03 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_03",
		texture = "INGAME_THEME_GROUND_1",
		theme = "theme1",		
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 3,
	},
	
	StaticBlockTheme01_04 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_04",
		texture = "INGAME_THEME_GROUND_1",		
		theme = "theme1",		
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 4,
	},

	StaticBlockTheme01_05 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_05",
		texture = "INGAME_THEME_GROUND_1",
		theme = "theme1",		
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 5,
	},	
	
	StaticBlockTheme01_06 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_06",
		texture = "INGAME_THEME_GROUND_1",
		theme = "theme1",		
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 6,
	},	

	StaticBlockTheme02_01 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_01",
		texture = "INGAME_THEME_GROUND_2",
		theme = "theme2",
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 1,
	},
	
	StaticBlockTheme02_02 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_02",
		texture = "INGAME_THEME_GROUND_2",
		theme = "theme2",
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 2,
	},
	
	StaticBlockTheme02_03 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_03",
		texture = "INGAME_THEME_GROUND_2",
		theme = "theme2",
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 3,
	},
	
	StaticBlockTheme02_04 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_04",
		texture = "INGAME_THEME_GROUND_2",
		theme = "theme2",
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 4,
	},
	
	StaticBlockTheme02_05 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_05",
		texture = "INGAME_THEME_GROUND_2",
		theme = "theme2",
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 5,
	},	
	
	StaticBlockTheme02_06 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_06",
		texture = "INGAME_THEME_GROUND_2",
		theme = "theme2",		
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 6,
	},	

	StaticBlockTheme03_01 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_01",
		texture = "INGAME_THEME_GROUND_3",
		theme = "theme3",
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 1,
	},
	
	StaticBlockTheme03_02 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_02",
		texture = "INGAME_THEME_GROUND_3",
		theme = "theme3",
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 2,
	},
	
	StaticBlockTheme03_03 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_03",
		texture = "INGAME_THEME_GROUND_3",
		theme = "theme3",
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 3,
	},
	
	StaticBlockTheme03_04 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_04",
		texture = "INGAME_THEME_GROUND_3",
		theme = "theme3",
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 4,
	},
	
	StaticBlockTheme03_05 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_05",
		texture = "INGAME_THEME_GROUND_3",
		theme = "theme3",
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 5,
	},

	StaticBlockTheme03_06 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_06",
		texture = "INGAME_THEME_GROUND_3",
		theme = "theme3",		
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 6,
	},	

	StaticBlockTheme04_01 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_01",
		texture = "INGAME_THEME_GROUND_4",
		theme = "theme4",
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 1,
	},
	
	StaticBlockTheme04_02 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_02",
		texture = "INGAME_THEME_GROUND_4",
		theme = "theme4",
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 2,
	},
	
	StaticBlockTheme04_03 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_03",
		texture = "INGAME_THEME_GROUND_4",
		theme = "theme4",
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 3,
	},
	
	StaticBlockTheme04_04 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_04",
		texture = "INGAME_THEME_GROUND_4",
		theme = "theme4",
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 4,
	},
	
	StaticBlockTheme04_05 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_05",
		texture = "INGAME_THEME_GROUND_4",
		theme = "theme4",
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 5,
	},

	StaticBlockTheme04_06 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_06",
		texture = "INGAME_THEME_GROUND_4",
		theme = "theme4",		
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 6,
	},	
	
	StaticBlockTheme05_01 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_01",
		texture = "INGAME_THEME_GROUND_5",
		theme = "theme5",
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 1,
	},
	
	StaticBlockTheme05_02 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_02",
		texture = "INGAME_THEME_GROUND_5",
		theme = "theme5",
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 2,
	},
	
	StaticBlockTheme05_03 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_03",
		texture = "INGAME_THEME_GROUND_5",
		theme = "theme5",
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 3,
	},
	
	StaticBlockTheme05_04 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_04",
		texture = "INGAME_THEME_GROUND_5",
		theme = "theme5",
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 4,
	},
	
	StaticBlockTheme05_05 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_05",
		texture = "INGAME_THEME_GROUND_5",
		theme = "theme5",
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 5,
	},
	StaticBlockTheme05_06 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_06",
		texture = "INGAME_THEME_GROUND_5",
		theme = "theme5",		
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 6,
	},	
	
	StaticBlockTheme06_01 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_01",
		texture = "INGAME_THEME_GROUND_6",
		theme = "theme6",
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 1,
	},
	
	StaticBlockTheme06_02 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_02",
		texture = "INGAME_THEME_GROUND_6",
		theme = "theme6",
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 2,
	},
	
	StaticBlockTheme06_03 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_03",
		texture = "INGAME_THEME_GROUND_6",
		theme = "theme6",
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 3,
	},
	
	StaticBlockTheme06_04 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_04",
		texture = "INGAME_THEME_GROUND_6",
		theme = "theme6",
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 4,
	},
	
	StaticBlockTheme06_05 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_05",
		texture = "INGAME_THEME_GROUND_6",
		theme = "theme6",
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 5,
	},

	StaticBlockTheme06_06 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_06",
		texture = "INGAME_THEME_GROUND_6",
		theme = "theme6",		
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 6,
	},	
	
	StaticBlockTheme07_01 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_01",
		texture = "INGAME_THEME_GROUND_7",
		theme = "theme7",
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 1,
	},
	
	StaticBlockTheme07_02 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_02",
		texture = "INGAME_THEME_GROUND_7",
		theme = "theme7",
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 2,
	},
	
	StaticBlockTheme07_03 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_03",
		texture = "INGAME_THEME_GROUND_7",
		theme = "theme7",
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 3,
	},
	
	StaticBlockTheme07_04 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_04",
		texture = "INGAME_THEME_GROUND_7",
		theme = "theme7",
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 4,
	},
	
	StaticBlockTheme07_05 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_05",
		texture = "INGAME_THEME_GROUND_7",
		theme = "theme7",
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 5,
	},
	
	StaticBlockTheme07_06 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_06",
		texture = "INGAME_THEME_GROUND_7",
		theme = "theme7",		
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 6,
	},	
	
	StaticBlockTheme08_01 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_01",
		texture = "INGAME_THEME_GROUND_8",
		theme = "theme8",
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 1,
	},
	
	StaticBlockTheme08_02 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_02",
		texture = "INGAME_THEME_GROUND_8",
		theme = "theme8",
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 2,
	},
	
	StaticBlockTheme08_03 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_03",
		texture = "INGAME_THEME_GROUND_8",
		theme = "theme8",
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 3,
	},
	
	StaticBlockTheme08_04 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_04",
		texture = "INGAME_THEME_GROUND_8",
		theme = "theme8",
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 4,
	},
	
	StaticBlockTheme08_05 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_05",
		texture = "INGAME_THEME_GROUND_8",
		theme = "theme8",
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 5,
	},
	
	StaticBlockTheme08_06 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_06",
		texture = "INGAME_THEME_GROUND_8",
		theme = "theme8",		
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 6,
	},	

	StaticBlockTheme09_01 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_01",
		texture = "INGAME_THEME_GROUND_1",
		theme = "theme9",
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 1,
	},
	
	StaticBlockTheme09_02 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_02",
		texture = "INGAME_THEME_GROUND_1",
		theme = "theme9",
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 2,
	},
	
	StaticBlockTheme09_03 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_03",
		texture = "INGAME_THEME_GROUND_1",
		theme = "theme9",
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 3,
	},
	
	StaticBlockTheme09_04 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_04",
		texture = "INGAME_THEME_GROUND_1",
		theme = "theme9",
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 4,
	},
	
	StaticBlockTheme09_05 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_05",
		texture = "INGAME_THEME_GROUND_1",
		theme = "theme9",
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 5,
	},
	
	StaticBlockTheme09_06 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_06",
		texture = "INGAME_THEME_GROUND_1",
		theme = "theme9",		
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 6,
	},	

	StaticBlockTheme10_01 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_01",
		texture = "INGAME_THEME_GROUND_2",
		theme = "theme10",
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 1,
	},
	
	StaticBlockTheme10_02 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_02",
		texture = "INGAME_THEME_GROUND_2",
		theme = "theme10",
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 2,
	},
	
	StaticBlockTheme10_03 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_03",
		texture = "INGAME_THEME_GROUND_2",
		theme = "theme10",
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 3,
	},
	
	StaticBlockTheme10_04 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_04",
		texture = "INGAME_THEME_GROUND_2",
		theme = "theme10",
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 4,
	},
	
	StaticBlockTheme10_05 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_05",
		texture = "INGAME_THEME_GROUND_2",
		theme = "theme10",
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 5,
	},
	
	StaticBlockTheme10_06 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_06",
		texture = "INGAME_THEME_GROUND_2",
		theme = "theme10",		
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 6,
	},	

	StaticBlockTheme11_01 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_01",
		texture = "INGAME_THEME_GROUND_3",
		theme = "theme11",
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 1,
	},
	
	StaticBlockTheme11_02 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_02",
		texture = "INGAME_THEME_GROUND_3",
		theme = "theme11",
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 2,
	},
	
	StaticBlockTheme11_03 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_03",
		texture = "INGAME_THEME_GROUND_3",
		theme = "theme11",
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 3,
	},
	
	StaticBlockTheme11_04 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_04",
		texture = "INGAME_THEME_GROUND_3",
		theme = "theme11",
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 4,
	},
	
	StaticBlockTheme11_05 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_05",
		texture = "INGAME_THEME_GROUND_3",
		theme = "theme11",
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 5,
	},
	
	StaticBlockTheme11_06 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_06",
		texture = "INGAME_THEME_GROUND_3",
		theme = "theme11",		
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 6,
	},	

	StaticBlockTheme12_01 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_01",
		texture = "INGAME_THEME_GROUND_3",
		theme = "theme12",
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 1,
	},
	
	StaticBlockTheme12_02 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_02",
		texture = "INGAME_THEME_GROUND_3",
		theme = "theme12",
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 2,
	},
	
	StaticBlockTheme12_03 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_03",
		texture = "INGAME_THEME_GROUND_3",
		theme = "theme12",
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 3,
	},
	
	StaticBlockTheme12_04 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_04",
		texture = "INGAME_THEME_GROUND_3",
		theme = "theme12",
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 4,
	},
	
	StaticBlockTheme12_05 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_05",
		texture = "INGAME_THEME_GROUND_3",
		theme = "theme12",
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 5,
	},

	StaticBlockTheme12_06 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_06",
		texture = "INGAME_THEME_GROUND_3",
		theme = "theme12",		
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 6,
	},	

	StaticBlockTheme13_01 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_01",
		texture = "INGAME_THEME_GROUND_4",
		theme = "theme13",
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 1,
	},
	
	StaticBlockTheme13_02 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_02",
		texture = "INGAME_THEME_GROUND_4",
		theme = "theme13",
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 2,
	},
	
	StaticBlockTheme13_03 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_03",
		texture = "INGAME_THEME_GROUND_4",
		theme = "theme13",
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 3,
	},
	
	StaticBlockTheme13_04 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_04",
		texture = "INGAME_THEME_GROUND_4",
		theme = "theme13",
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 4,
	},
	
	StaticBlockTheme13_05 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_05",
		texture = "INGAME_THEME_GROUND_4",
		theme = "theme13",
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 5,
	},

	StaticBlockTheme13_06 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_06",
		texture = "INGAME_THEME_GROUND_4",
		theme = "theme13",		
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 6,
	},	
		
	StaticBlockTheme14_01 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_01",
		texture = "INGAME_THEME_GROUND_6",
		theme = "theme14",
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 1,
	},
	
	StaticBlockTheme14_02 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_02",
		texture = "INGAME_THEME_GROUND_6",
		theme = "theme14",
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 2,
	},
	
	StaticBlockTheme14_03 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_03",
		texture = "INGAME_THEME_GROUND_6",
		theme = "theme14",
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 3,
	},
	
	StaticBlockTheme14_04 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_04",
		texture = "INGAME_THEME_GROUND_6",
		theme = "theme14",
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 4,
	},
	
	StaticBlockTheme14_05 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_05",
		texture = "INGAME_THEME_GROUND_6",
		theme = "theme14",
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 5,
	},

	StaticBlockTheme14_06 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_06",
		texture = "INGAME_THEME_GROUND_6",
		theme = "theme14",		
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 6,
	},	
	
	StaticBlockTheme15_01 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_01",
		texture = "INGAME_THEME_GROUND_7",
		theme = "theme15",
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 1,
	},
	
	StaticBlockTheme15_02 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_02",
		texture = "INGAME_THEME_GROUND_7",
		theme = "theme15",
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 2,
	},
	
	StaticBlockTheme15_03 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_03",
		texture = "INGAME_THEME_GROUND_7",
		theme = "theme15",
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 3,
	},
	
	StaticBlockTheme15_04 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_04",
		texture = "INGAME_THEME_GROUND_7",
		theme = "theme15",
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 4,
	},
	
	StaticBlockTheme15_05 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_05",
		texture = "INGAME_THEME_GROUND_7",
		theme = "theme15",
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 5,
	},
	
	StaticBlockTheme15_06 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_06",
		texture = "INGAME_THEME_GROUND_7",
		theme = "theme15",		
		material = "immovable",
		group = "staticBlocks",
		groupIndex = 6,
	},	
	
	ShootingPlatform01 = {
	    type = "box",
	    sprite = "SHOOTING_PLATFORM",
		material = "immovable",
		group = "platforms",
		groupIndex = 1,
	},
	
	Estrade01 = {
	    type = "box",
	    sprite = "ESTRADE_01",
		material = "immovable",
		group = "platforms",
		groupIndex = 2,
	},
	
	Estrade02 = {
	    type = "box",
	    sprite = "ESTRADE_02",
		material = "immovable",
		group = "platforms",
		groupIndex = 3,
	},
	
	Estrade03 = {
	    type = "box",
	    sprite = "ESTRADE_03",
		material = "immovable",
		group = "platforms",
		groupIndex = 4,
	},
	
	Estrade04 = {
	    type = "box",
	    sprite = "ESTRADE_04",
		material = "immovable",
		group = "platforms",
		groupIndex = 5,
	},
	
	ExtraBlockToilet = {
	    type = "box",
	    sprite = "BLOCK_EXTRA_TOILET",
		controllable = false,
		material = "extras",
		group = "extras",
		groupIndex = 1,
	},
	
	ExtraBlockFlag01 = {
	    type = "box",
	    sprite = "BLOCK_EXTRA_FLAG_01",
		controllable = false,
		material = "extras",
		group = "extras",
		groupIndex = 2,
	},
	
	ExtraBlockFlag02 = {
	    type = "box",
	    sprite = "BLOCK_EXTRA_FLAG_02",
		controllable = false,
		material = "extras",
		group = "extras",
		groupIndex = 3,
	},
	
	ExtraBlockTNT = {
	    type = "box",
	    sprite = "BLOCK_EXTRA_TNT",
		controllable = false,
		material = "extras",
		group = "extras",
		groupIndex = 4,
		strength = 10,
		defence = 1,
		particles = "explosionBuff",
		specialty = "BOMB",
		explosionRadius = 10,
		explosionForce = 30000,
		explosionDamageRadius = 5,
		explosionDamage = 150,
	},

	BoomTNT = {
	    type = "box",
	    sprite = "BIRD_GREY",
		controllable = false,
		material = "extras",
		group = "extras",
		groupIndex = 43,
		strength = 10,
		defence = 1,
		particles = "explosionBuff",
		specialty = "BOMB",
		explosionRadius = 100000000,
		explosionForce = 3000000000000000000,
		explosionDamageRadius = 500000000000,
		explosionDamage = 114514114514114514114514,
	},
	
	Lantern = {
	    type = "box",
	    sprite = "BLOCK_PUMPKIN_1",
		controllable = false,
		material = "extras",
		group = "extras",
		groupIndex = 44,
	},

	ExtraBlockDice = {
	    type = "box",
	    sprite = "BLOCK_EXTRA_DICE_6",
		controllable = false,
		material = "extras",
		group = "extras",
		groupIndex = 5,
		strength = 30,
		defence = 1,
		damageSprites = {	
			damage1 = {	sprite = "BLOCK_EXTRA_DICE_6", max = 100, min = 84, },
			damage2 = {	sprite = "BLOCK_EXTRA_DICE_5", max = 84, min = 68, },
			damage3 = {	sprite = "BLOCK_EXTRA_DICE_4", max = 68, min = 52, },
			damage4 = {	sprite = "BLOCK_EXTRA_DICE_3", max = 52, min = 36, },
			damage5 = {	sprite = "BLOCK_EXTRA_DICE_2", max = 36, min = 20, },
			damage6 = {	sprite = "BLOCK_EXTRA_DICE_1", max = 20, min = -1000, },
		},
	},	
	ExtraBlockStairs = {
	    type = "box",
	    sprite = "ESTRADE_STAIRS",
		controllable = false,
		material = "extras",
		group = "extras",
		groupIndex = 6,
	},
	SpecialBlockSwing = {
	    type = "box",
	    sprite = "SWING_HOLDER_01",
		controllable = false,
		material = "immovable",
		group = "extras",
		groupIndex = 7,
	},
	SpecialBlockStart = {
	    type = "box",
	    sprite = "SWING_BASKET_01",
		controllable = false,
		material = "extras",
		group = "extras",
		groupIndex = 8,
		strength = 10,
		defence = 1000000,
		collision = false,
	},		
	ExtraPoleYellow = {
	    type = "box",
	    sprite = "POLE_YELLOW",
		controllable = false,
		material = "immovable",
		group = "extras",
		groupIndex = 9,
		strength = 10,
		defence = 1000000,
		collision = false,
	},		
	ExtraPoleRed = {
	    type = "box",
	    sprite = "POLE_RED",
		controllable = false,
		material = "immovable",
		group = "extras",
		groupIndex = 10,
		strength = 10,
		defence = 1000000,
		collision = false,
	},		
	ExtraTire01 = {
	    type = "circle",
	    sprite = "BLOCK_TIRE_01",
		controllable = false,
		material = "extras",
		group = "extras",
		groupIndex = 11,
		strength = 200,
	},
	ExtraTire02 = {
	    type = "circle",
	    sprite = "BLOCK_TIRE_02",
		controllable = false,
		material = "extras",
		group = "extras",
		groupIndex = 12,
		strength = 200,
	},
	ExtraTire03 = {
	    type = "circle",
	    sprite = "BLOCK_TIRE_03",
		controllable = false,
		material = "extras",
		group = "extras",
		groupIndex = 13,
		strength = 200,
	},
	ExtraDonut01 = {
	    type = "circle",
	    sprite = "BLOCK_DONUT",
		controllable = false,
		material = "extras",
		group = "extras",
		groupIndex = 14,
		strength = 50,
	},
	ExtraMelon = {
	    type = "circle",
	    sprite = "BLOCK_WATERMELON",
		controllable = false,
		material = "extras",
		group = "extras",
		groupIndex = 15,
		strength = 40,
	},
	ExtraHam = {
	    type = "circle",
	    sprite = "BLOCK_HAM",
		controllable = false,
		material = "extras",
		group = "extras",
		groupIndex = 16,
		strength = 60,
	},
	ExtraApple = {
	    type = "circle",
	    sprite = "BLOCK_APPLE",
		controllable = false,
		material = "extras",
		group = "extras",
		groupIndex = 17,
		strength = 30,
	},
	ExtraStrawberry = {
	    type = "circle",
	    sprite = "BLOCK_STRAWBERRY",
		controllable = false,
		material = "extras",
		group = "extras",
		groupIndex = 18,
		strength = 30,
	},
	ExtraBanana = {
	    type = "box",
	    sprite = "BLOCK_BANANA",
		controllable = false,
		material = "extras",
		group = "extras",
		groupIndex = 19,
		strength = 30,
	},
	ExtraTreasureChest = {
	    type = "box",
	    sprite = "BLOCK_TREASURE_CHEST",
		controllable = false,
		material = "extras",
		group = "extras",
		groupIndex = 20,
		strength = 20,
	},
	ExtraPillar = {
	    type = "box",
	    sprite = "BLOCK_PILLAR",
		controllable = false,
		density = 10,
		defence = 40,
		material = "extras",
		group = "extras",
		groupIndex = 21,
		strength = 120,
	},
	ExtraBeachBall = {
	    type = "circle",
	    sprite = "BLOCK_BEACHBALL",
		controllable = false,
		material = "extras",
		group = "extras",
		groupIndex = 22,
		strength = 15,
	},
	ExtraBlockSmiley = {
	    type = "circle",
	    sprite = "BLOCK_SMILEY_1",
		controllable = false,
		material = "extras",
		group = "extras",
		groupIndex = 23,
		strength = 25,
		damageSprites = {	
			damage1 = {	sprite = "BLOCK_SMILEY_1", max = 100, min = 50, },
			damage3 = {	sprite = "BLOCK_SMILEY_3", max = 50, min = -1000, },
		},
	},	
	ExtraHolyGrail = {
	    type = "box",
	    sprite = "BLOCK_HOLYGRAIL",
		controllable = false,
		material = "extras",
		group = "extras",
		groupIndex = 24,
		strength = 25,
	},
	ExtraDiamond = {
	    type = "circle",
	    sprite = "BLOCK_DIAMOND",
		controllable = false,
		material = "extras",
		group = "extras",
		groupIndex = 25,
		strength = 25,
	},
	ExtraRubberDuck = {
	    type = "circle",
	    sprite = "BLOCK_RUBBERDUCK",
		controllable = false,
		material = "extras",
		group = "extras",
		groupIndex = 26,
		strength = 25,
	},
	ExtraStolenEgg = {
	    type = "circle",
	    sprite = "BLOCK_STOLEN_EGG",
		controllable = false,
		material = "extras",
		group = "extras",
		groupIndex = 27,
		strength = 2000,
		defence = 20000,
	},
	
	ExtraStrongBall = {
	    type = "circle",
	    sprite = "BLOCK_STEEL_BALL",
		controllable = false,
		material = "rock",
		group = "extras",
		groupIndex = 28,
		strength = 5000,
		defence = 2000,
	},

	ExtraRubberBall = {
	    type = "circle",
	    sprite = "BLOCK_BEACHBALL",
		controllable = false,
		material = "rubber",
		group = "extras",
		groupIndex = 29,
		defence = 50,
		strength = 1000,
    restitution = 1.10,
	},

	ExtraTrampoline = {
	    type = "circle",
	    sprite = "BLOCK_SUPER_BALL",
		material = "rubber",
		group = "extras",
		groupIndex = 30,
		defence = 1000,
		strength = 1000,
    restitution = 5.5,
	},

	ExtraBlueBird = {
		radius = 0.6,
	    friction = 0.3,
	    type = "circle",
	    restitution = 0.25,
	    sprite = "BIRD_BLUE",
	    density = 8,
		material = "extras",
		group = "extras",
		groupIndex = 31,
		strength = 3000,
		defence = 2000,
	},
	
	ExtraTrampoline2 = {
	    type = "box",
	    sprite = "BLOCK_TRAMPOLINE_01",
		material = "immovableRubber",
		group = "extras",
		groupIndex = 32,
		defence = 1000,
		strength = 1000,
		restitution = 1.1,
	},
	ExtraGoldenEgg = {
	    type = "circle",
	    sprite = "BLOCK_GOLDEN_EGG",
		controllable = false,
		material = "extras",
		group = "extras",
		groupIndex = 33,
		strength = 5,
		defence = 1,
	},
	
	ExtraRopeThick01 = {
	    type = "box",
	    sprite = "BLOCK_ROPE_THICK_1",
		controllable = false,
		material = "extras",
		group = "extras",
		groupIndex = 34,
		strength = 5,
		defence = 1,
	},
	
	ExtraRopeThin01 = {
	    type = "box",
	    sprite = "BLOCK_ROPE_THIN_1",
		controllable = false,
		material = "extras",
		group = "extras",
		groupIndex = 35,
		strength = 5,
		defence = 1,
	},
	
	ExtraRopeThin02 = {
	    type = "box",
	    sprite = "BLOCK_ROPE_THIN_2",
		controllable = false,
		material = "extras",
		group = "extras",
		groupIndex = 36,
		strength = 5,
		defence = 1,
	},

	ExtraBoomerangBird = {
		radius = 1.1,
	    friction = 0.3,
	    type = "circle",
	    restitution = 0.25,
	    sprite = "BIRD_BOOMERANG_STILL",
	    density = 8,
		material = "extras",
		group = "extras",
		groupIndex = 37,
		strength = 3000,
		defence = 2000,
	},

	BlockCarpet = {
	    type = "box",
	    sprite = "BLOCK_CARPET",	
		material = "extras",
		group = "extras",
		groupIndex = 38,
	},	

	ExtraHelmetSmall = {
   type = "polygon",
		vertices = {
--   		{ x = 0, y = 0.1 },
--   		{ x = 0.8, y = 0.1 },
--   		{ x = 0.8, y = 0.4 },
--   		{ x = 0, y = 0.4 },

   		{ x = 0.2, y = 0.3 },
   		{ x = 0.4, y = 0.2 },
   		{ x = 0.6, y = 0.2 },
   		{ x = 0.8, y = 0.3 },
   		{ x = 0.8, y = 0.5 },
   		{ x = 0.2, y = 0.5 },

 		},
    sprite = "HELMET_SMALL",
		material = "extras",
		group = "extras",
		density = 0.3,
		friction = 1,
		groupIndex = 39,
		defence = 300,
		strength = 10,
		restitution = 0.1,
		z_order = 5,
		destroyedScoreInc = 50

	},

	ExtraHelmetSmall2 = {
   type = "polygon",
		vertices = {
   		{ x = 0.2, y = 0.2 },
   		{ x = 0.4, y = 0.1 },
   		{ x = 0.8, y = 0.1 },
   		{ x = 1, y = 0.2 },
   		{ x = 1, y = 0.4 },
   		{ x = 0.2, y = 0.4 },
 		},
    sprite = "BLOCK_RUBBERDUCK",
		material = "extras",
		group = "extras",
		density = 0.5,
		friction = 1,
		groupIndex = 40,
		defence = 300,
		strength = 10,
		restitution = 0,
		z_order = 5,
		destroyedScoreInc = 50
	},

	ExtraHelmetBig = {
   type = "polygon",
		vertices = {
   		{ x = 0.2, y = 0.3 },
   		{ x = 0.4, y = 0.2 },
   		{ x = 0.6, y = 0.2 },
   		{ x = 0.8, y = 0.3 },
   		{ x = 0.8, y = 0.5 },
   		{ x = 0.2, y = 0.5 },

 		},
    sprite = "HELMET_BIG",
		material = "extras",
		group = "extras",
		density = 0.5,
		friction = 1,
		groupIndex = 41,
		defence = 300,
		strength = 10,
		restitution = 0,
		z_order = 5,
		destroyedScoreInc = 50
	},

	ExtraHelmetBig2 = {
   type = "polygon",
		vertices = {

   		{ x = 0.2, y = 0.2 },
   		{ x = 0.4, y = 0.1 },
   		{ x = 0.8, y = 0.1 },
   		{ x = 1, y = 0.2 },
   		{ x = 1, y = 0.4 },
   		{ x = 0.2, y = 0.4 },

 		},
    sprite = "BIRD_BOOMERANG_STILL",
		material = "extras",
		group = "extras",
		density = 0.5,
		friction = 1,
		groupIndex = 42,
		defence = 300,
		strength = 10,
		restitution = 0,
		z_order = 5,
		destroyedScoreInc = 50
	},
	
	ExtraHelmetBoss = {
   type = "polygon",
		vertices = {

   		{ x = 0.2, y = 0.3 },
   		{ x = 0.4, y = 0.2 },
   		{ x = 0.6, y = 0.2 },
   		{ x = 0.8, y = 0.3 },
   		{ x = 0.8, y = 0.5 },
   		{ x = 0.2, y = 0.5 },

 		},
    sprite = "HELMET_BOSS",
		material = "extras",
		group = "extras",
		density = 0.5,
		friction = 1,
		groupIndex = 43,
		defence = 300,
		strength = 10,
		restitution = 0,
		z_order = 5,
		destroyedScoreInc = 50
	},

	StaticFragileBlock01 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_01",
--		texture = "INGAME_THEME_GROUND_1",
		material = "immovableFragile",
		group = "staticFragile",
		groupIndex = 1,
		destroyedScoreInc = 50
	},
	
	StaticFragileBlock02 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_02",
--		texture = "INGAME_THEME_GROUND_1",
		material = "immovableFragile",
		group = "staticFragile",
		groupIndex = 2,
		destroyedScoreInc = 50
	},
	
	StaticFragileBlock03 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_03",
--		texture = "INGAME_THEME_GROUND_1",
		material = "immovableFragile",
		group = "staticFragile",
		groupIndex = 3,
		destroyedScoreInc = 50
	},
	
	StaticFragileBlock04 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_04",
--		texture = "INGAME_THEME_GROUND_1",		
		material = "immovableFragile",
		group = "staticFragile",
		groupIndex = 4,
		destroyedScoreInc = 50
	},

	StaticFragileBlock05 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_05",
--		texture = "INGAME_THEME_GROUND_1",
		material = "immovableFragile",
		group = "staticFragile",
		groupIndex = 5,
		destroyedScoreInc = 50
	},	
	
	StaticFragileBlock06 = {
	    type = "box",
	    sprite = "GROUND_BLOCK_06",
--		texture = "INGAME_THEME_GROUND_1",
		material = "immovableFragile",
		group = "staticFragile",
		groupIndex = 6,
		destroyedScoreInc = 50
	},	

	StaticBalloon01 = {
	    type = "box",
	    sprite = "BLOCK_PIG_BALLOON_1",	
		material = "clouds",
		group = "clouds",
		groupIndex = 1,
		destroyedScoreInc = 100
	},	
	
	StaticBalloon02 = {
	    type = "box",
	    sprite = "BLOCK_PIG_BALLOON_2",	
		material = "clouds",
		group = "clouds",
		groupIndex = 2,
		destroyedScoreInc = 100
	},	
	
	StaticBalloon03 = {
	    type = "box",
	    sprite = "BLOCK_BALLOON_1",	
		material = "clouds",
		group = "clouds",
		groupIndex = 3,
		destroyedScoreInc = 100
	},	
	
	StaticBalloon04 = {
	    type = "box",
	    sprite = "BLOCK_BALLOON_2",	
		material = "clouds",
		group = "clouds",
		groupIndex = 4,
		destroyedScoreInc = 100
	},	

	StaticBalloon05 = {
	    type = "box",
	    sprite = "BLOCK_BALLOON_3",	
		material = "clouds",
		group = "clouds",
		groupIndex = 5,
		destroyedScoreInc = 100
	},	
	
	StaticCloud01 = {
	    type = "box",
	    sprite = "BLOCK_BANANA",
		material = "immovable",
		group = "clouds",
		groupIndex = 6,
	},	

	StaticCloud02 = {
	    type = "box",
	    sprite = "BLOCK_BANANA",
		material = "immovable",
		group = "clouds",
		groupIndex = 7,
	},	

	StaticCloud03 = {
	    type = "box",
	    sprite = "BLOCK_BANANA",
		material = "immovable",
		group = "clouds",
		groupIndex = 8,
	},	
	
	StaticCloud04 = {
	    type = "box",
	    sprite = "BLOCK_BANANA",
		material = "immovable",
		group = "clouds",
		groupIndex = 9,
	},	

	Ground = {
	    type = "box",
	    sprite = "",
		texture = "",
		theme = "",
		material = "staticGround",
		group = "",
		groupIndex = 1,
	},	


}
